commit:     6795d396c9b23a4b4bd5693ec4acefbff1a1f606
Author:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Sat Nov 25 00:20:47 2017 +0000
Commit:     Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Sat Nov 25 00:21:46 2017 +0000
URL:        https://gitweb.gentoo.org/proj/qt.git/commit/?id=6795d396

dev-qt: version bump 5.9.3

Package-Manager: Portage-2.3.14, Repoman-2.3.6

 dev-qt/assistant/Manifest                          |   1 +
 dev-qt/assistant/assistant-5.9.3.ebuild            |  37 +++++
 dev-qt/designer/Manifest                           |   1 +
 dev-qt/designer/designer-5.9.3.ebuild              |  40 +++++
 dev-qt/linguist-tools/Manifest                     |   1 +
 dev-qt/linguist-tools/linguist-tools-5.9.3.ebuild  |  35 +++++
 dev-qt/linguist/Manifest                           |   1 +
 dev-qt/linguist/linguist-5.9.3.ebuild              |  28 ++++
 dev-qt/pixeltool/Manifest                          |   1 +
 dev-qt/pixeltool/pixeltool-5.9.3.ebuild            |  25 ++++
 dev-qt/qdbus/Manifest                              |   1 +
 dev-qt/qdbus/qdbus-5.9.3.ebuild                    |  25 ++++
 dev-qt/qdbusviewer/Manifest                        |   1 +
 dev-qt/qdbusviewer/qdbusviewer-5.9.3.ebuild        |  27 ++++
 dev-qt/qdoc/Manifest                               |   1 +
 dev-qt/qdoc/qdoc-5.9.3.ebuild                      |  31 ++++
 dev-qt/qt3d/Manifest                               |   1 +
 dev-qt/qt3d/qt3d-5.9.3.ebuild                      |  32 ++++
 dev-qt/qtbluetooth/Manifest                        |   1 +
 dev-qt/qtbluetooth/qtbluetooth-5.9.3.ebuild        |  33 +++++
 dev-qt/qtcharts/Manifest                           |   1 +
 dev-qt/qtcharts/qtcharts-5.9.3.ebuild              |  29 ++++
 dev-qt/qtconcurrent/Manifest                       |   1 +
 dev-qt/qtconcurrent/qtconcurrent-5.9.3.ebuild      |  23 +++
 dev-qt/qtcore/Manifest                             |   1 +
 dev-qt/qtcore/qtcore-5.9.3.ebuild                  |  66 +++++++++
 dev-qt/qtdatavis3d/Manifest                        |   1 +
 dev-qt/qtdatavis3d/qtdatavis3d-5.9.3.ebuild        |  31 ++++
 dev-qt/qtdbus/Manifest                             |   1 +
 dev-qt/qtdbus/qtdbus-5.9.3.ebuild                  |  38 +++++
 dev-qt/qtdeclarative/Manifest                      |   1 +
 dev-qt/qtdeclarative/qtdeclarative-5.9.3.ebuild    |  56 +++++++
 dev-qt/qtdiag/Manifest                             |   1 +
 dev-qt/qtdiag/qtdiag-5.9.3.ebuild                  |  36 +++++
 dev-qt/qtgraphicaleffects/Manifest                 |   1 +
 .../qtgraphicaleffects-5.9.3.ebuild                |  21 +++
 dev-qt/qtgui/Manifest                              |   1 +
 dev-qt/qtgui/qtgui-5.9.3.ebuild                    | 164 +++++++++++++++++++++
 dev-qt/qthelp/Manifest                             |   1 +
 dev-qt/qthelp/qthelp-5.9.3.ebuild                  |  30 ++++
 dev-qt/qtimageformats/Manifest                     |   1 +
 dev-qt/qtimageformats/qtimageformats-5.9.3.ebuild  |  23 +++
 dev-qt/qtlocation/Manifest                         |   1 +
 dev-qt/qtlocation/qtlocation-5.9.3.ebuild          |  44 ++++++
 dev-qt/qtmultimedia/Manifest                       |   1 +
 dev-qt/qtmultimedia/qtmultimedia-5.9.3.ebuild      |  65 ++++++++
 dev-qt/qtnetwork/Manifest                          |   1 +
 dev-qt/qtnetwork/qtnetwork-5.9.3.ebuild            |  53 +++++++
 dev-qt/qtnetworkauth/Manifest                      |   1 +
 dev-qt/qtnetworkauth/qtnetworkauth-5.9.3.ebuild    |  20 +++
 dev-qt/qtopengl/Manifest                           |   1 +
 dev-qt/qtopengl/qtopengl-5.9.3.ebuild              |  34 +++++
 dev-qt/qtpaths/Manifest                            |   1 +
 dev-qt/qtpaths/qtpaths-5.9.3.ebuild                |  23 +++
 dev-qt/qtplugininfo/Manifest                       |   1 +
 dev-qt/qtplugininfo/qtplugininfo-5.9.3.ebuild      |  23 +++
 dev-qt/qtpositioning/Manifest                      |   1 +
 dev-qt/qtpositioning/qtpositioning-5.9.3.ebuild    |  37 +++++
 dev-qt/qtprintsupport/Manifest                     |   1 +
 dev-qt/qtprintsupport/qtprintsupport-5.9.3.ebuild  |  42 ++++++
 dev-qt/qtquickcontrols/Manifest                    |   1 +
 .../qtquickcontrols/qtquickcontrols-5.9.3.ebuild   |  32 ++++
 dev-qt/qtquickcontrols2/Manifest                   |   1 +
 .../qtquickcontrols2/qtquickcontrols2-5.9.3.ebuild |  30 ++++
 dev-qt/qtscript/Manifest                           |   1 +
 dev-qt/qtscript/qtscript-5.9.3.ebuild              |  36 +++++
 dev-qt/qtscxml/Manifest                            |   1 +
 dev-qt/qtscxml/qtscxml-5.9.3.ebuild                |  19 +++
 dev-qt/qtsensors/Manifest                          |   1 +
 dev-qt/qtsensors/qtsensors-5.9.3.ebuild            |  28 ++++
 dev-qt/qtserialbus/Manifest                        |   1 +
 dev-qt/qtserialbus/qtserialbus-5.9.3.ebuild        |  20 +++
 dev-qt/qtserialport/Manifest                       |   1 +
 dev-qt/qtserialport/qtserialport-5.9.3.ebuild      |  27 ++++
 dev-qt/qtspeech/Manifest                           |   1 +
 dev-qt/qtspeech/qtspeech-5.9.3.ebuild              |  20 +++
 dev-qt/qtsql/Manifest                              |   1 +
 dev-qt/qtsql/qtsql-5.9.3.ebuild                    |  53 +++++++
 dev-qt/qtsvg/Manifest                              |   1 +
 dev-qt/qtsvg/qtsvg-5.9.3.ebuild                    |  23 +++
 dev-qt/qttest/Manifest                             |   1 +
 dev-qt/qttest/qttest-5.9.3.ebuild                  |  29 ++++
 dev-qt/qttranslations/Manifest                     |   1 +
 dev-qt/qttranslations/qttranslations-5.9.3.ebuild  |  19 +++
 dev-qt/qtvirtualkeyboard/Manifest                  |   1 +
 .../qtvirtualkeyboard-5.9.3.ebuild                 |  38 +++++
 dev-qt/qtwayland/Manifest                          |   1 +
 dev-qt/qtwayland/qtwayland-5.9.3.ebuild            |  39 +++++
 dev-qt/qtwebchannel/Manifest                       |   1 +
 dev-qt/qtwebchannel/qtwebchannel-5.9.3.ebuild      |  26 ++++
 dev-qt/qtwebengine/Manifest                        |   1 +
 dev-qt/qtwebengine/qtwebengine-5.9.3.ebuild        | 115 +++++++++++++++
 dev-qt/qtwebsockets/Manifest                       |   1 +
 dev-qt/qtwebsockets/qtwebsockets-5.9.3.ebuild      |  27 ++++
 dev-qt/qtwebview/Manifest                          |   1 +
 dev-qt/qtwebview/qtwebview-5.9.3.ebuild            |  21 +++
 dev-qt/qtwidgets/Manifest                          |   1 +
 dev-qt/qtwidgets/qtwidgets-5.9.3.ebuild            |  50 +++++++
 dev-qt/qtx11extras/Manifest                        |   1 +
 dev-qt/qtx11extras/qtx11extras-5.9.3.ebuild        |  21 +++
 dev-qt/qtxml/Manifest                              |   1 +
 dev-qt/qtxml/qtxml-5.9.3.ebuild                    |  25 ++++
 dev-qt/qtxmlpatterns/Manifest                      |   1 +
 dev-qt/qtxmlpatterns/qtxmlpatterns-5.9.3.ebuild    |  19 +++
 104 files changed, 1940 insertions(+)

diff --git a/dev-qt/assistant/Manifest b/dev-qt/assistant/Manifest
new file mode 100644
index 00000000..0e0d4950
--- /dev/null
+++ b/dev-qt/assistant/Manifest
@@ -0,0 +1 @@
+DIST qttools-opensource-src-5.9.3.tar.xz 9777804 BLAKE2B 
a1e05555f2c47e62e3a5cb65eebfa7a7e72ca6c591f2c48a026c4206d0f80f7625b318dda8b0a68cba15c5927c099ab69826f2538ad8d0fc6a0e2fbbcb622c32
 SHA512 
5d4a4d6b6dcf17b7244ed761850f622b8006c8028dbe6b0f0e95e2c19132d2420c062d4737ebeb1c342f53337fdce2137cf89ae3edb82755e68c846efffe4c8f

diff --git a/dev-qt/assistant/assistant-5.9.3.ebuild 
b/dev-qt/assistant/assistant-5.9.3.ebuild
new file mode 100644
index 00000000..6342c0fd
--- /dev/null
+++ b/dev-qt/assistant/assistant-5.9.3.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qttools"
+inherit qt5-build
+
+DESCRIPTION="Tool for viewing on-line documentation in Qt help file format"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~hppa ~ppc64 ~x86"
+fi
+
+IUSE="webkit"
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtgui-${PV}
+       ~dev-qt/qthelp-${PV}
+       ~dev-qt/qtnetwork-${PV}
+       ~dev-qt/qtprintsupport-${PV}
+       ~dev-qt/qtsql-${PV}[sqlite]
+       ~dev-qt/qtwidgets-${PV}
+       webkit? ( >=dev-qt/qtwebkit-5.9.1:5 )
+"
+RDEPEND="${DEPEND}"
+
+QT5_TARGET_SUBDIRS=(
+       src/assistant/assistant
+)
+
+src_prepare() {
+       qt_use_disable_mod webkit webkitwidgets \
+               src/assistant/assistant/assistant.pro
+
+       qt5-build_src_prepare
+}

diff --git a/dev-qt/designer/Manifest b/dev-qt/designer/Manifest
new file mode 100644
index 00000000..0e0d4950
--- /dev/null
+++ b/dev-qt/designer/Manifest
@@ -0,0 +1 @@
+DIST qttools-opensource-src-5.9.3.tar.xz 9777804 BLAKE2B 
a1e05555f2c47e62e3a5cb65eebfa7a7e72ca6c591f2c48a026c4206d0f80f7625b318dda8b0a68cba15c5927c099ab69826f2538ad8d0fc6a0e2fbbcb622c32
 SHA512 
5d4a4d6b6dcf17b7244ed761850f622b8006c8028dbe6b0f0e95e2c19132d2420c062d4737ebeb1c342f53337fdce2137cf89ae3edb82755e68c846efffe4c8f

diff --git a/dev-qt/designer/designer-5.9.3.ebuild 
b/dev-qt/designer/designer-5.9.3.ebuild
new file mode 100644
index 00000000..d59ecd69
--- /dev/null
+++ b/dev-qt/designer/designer-5.9.3.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qttools"
+inherit qt5-build
+
+DESCRIPTION="WYSIWYG tool for designing and building Qt-based GUIs"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE="declarative webkit"
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtgui-${PV}
+       ~dev-qt/qtnetwork-${PV}
+       ~dev-qt/qtprintsupport-${PV}
+       ~dev-qt/qtwidgets-${PV}
+       ~dev-qt/qtxml-${PV}
+       declarative? ( ~dev-qt/qtdeclarative-${PV}[widgets] )
+       webkit? ( >=dev-qt/qtwebkit-5.9.1:5 )
+"
+RDEPEND="${DEPEND}"
+
+QT5_TARGET_SUBDIRS=(
+       src/designer
+)
+
+src_prepare() {
+       qt_use_disable_mod declarative quickwidgets \
+               src/designer/src/plugins/plugins.pro
+
+       qt_use_disable_mod webkit webkitwidgets \
+               src/designer/src/plugins/plugins.pro
+
+       qt5-build_src_prepare
+}

diff --git a/dev-qt/linguist-tools/Manifest b/dev-qt/linguist-tools/Manifest
new file mode 100644
index 00000000..0e0d4950
--- /dev/null
+++ b/dev-qt/linguist-tools/Manifest
@@ -0,0 +1 @@
+DIST qttools-opensource-src-5.9.3.tar.xz 9777804 BLAKE2B 
a1e05555f2c47e62e3a5cb65eebfa7a7e72ca6c591f2c48a026c4206d0f80f7625b318dda8b0a68cba15c5927c099ab69826f2538ad8d0fc6a0e2fbbcb622c32
 SHA512 
5d4a4d6b6dcf17b7244ed761850f622b8006c8028dbe6b0f0e95e2c19132d2420c062d4737ebeb1c342f53337fdce2137cf89ae3edb82755e68c846efffe4c8f

diff --git a/dev-qt/linguist-tools/linguist-tools-5.9.3.ebuild 
b/dev-qt/linguist-tools/linguist-tools-5.9.3.ebuild
new file mode 100644
index 00000000..b22c78fd
--- /dev/null
+++ b/dev-qt/linguist-tools/linguist-tools-5.9.3.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qttools"
+inherit qt5-build
+
+DESCRIPTION="Tools for working with Qt translation data files"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE="qml"
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtxml-${PV}
+       qml? ( ~dev-qt/qtdeclarative-${PV} )
+"
+RDEPEND="${DEPEND}"
+
+QT5_TARGET_SUBDIRS=(
+       src/linguist
+)
+
+src_prepare() {
+       sed -i -e '/SUBDIRS += linguist/d' \
+               src/linguist/linguist.pro || die
+
+       qt_use_disable_mod qml qmldevtools-private \
+               src/linguist/lupdate/lupdate.pro
+
+       qt5-build_src_prepare
+}

diff --git a/dev-qt/linguist/Manifest b/dev-qt/linguist/Manifest
new file mode 100644
index 00000000..0e0d4950
--- /dev/null
+++ b/dev-qt/linguist/Manifest
@@ -0,0 +1 @@
+DIST qttools-opensource-src-5.9.3.tar.xz 9777804 BLAKE2B 
a1e05555f2c47e62e3a5cb65eebfa7a7e72ca6c591f2c48a026c4206d0f80f7625b318dda8b0a68cba15c5927c099ab69826f2538ad8d0fc6a0e2fbbcb622c32
 SHA512 
5d4a4d6b6dcf17b7244ed761850f622b8006c8028dbe6b0f0e95e2c19132d2420c062d4737ebeb1c342f53337fdce2137cf89ae3edb82755e68c846efffe4c8f

diff --git a/dev-qt/linguist/linguist-5.9.3.ebuild 
b/dev-qt/linguist/linguist-5.9.3.ebuild
new file mode 100644
index 00000000..163c6cf6
--- /dev/null
+++ b/dev-qt/linguist/linguist-5.9.3.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qttools"
+inherit qt5-build
+
+DESCRIPTION="Graphical tool for translating Qt applications"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~hppa ~ppc64 ~x86"
+fi
+
+IUSE=""
+
+DEPEND="
+       ~dev-qt/designer-${PV}
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtgui-${PV}
+       ~dev-qt/qtprintsupport-${PV}
+       ~dev-qt/qtwidgets-${PV}
+       ~dev-qt/qtxml-${PV}
+"
+RDEPEND="${DEPEND}"
+
+QT5_TARGET_SUBDIRS=(
+       src/linguist/linguist
+)

diff --git a/dev-qt/pixeltool/Manifest b/dev-qt/pixeltool/Manifest
new file mode 100644
index 00000000..0e0d4950
--- /dev/null
+++ b/dev-qt/pixeltool/Manifest
@@ -0,0 +1 @@
+DIST qttools-opensource-src-5.9.3.tar.xz 9777804 BLAKE2B 
a1e05555f2c47e62e3a5cb65eebfa7a7e72ca6c591f2c48a026c4206d0f80f7625b318dda8b0a68cba15c5927c099ab69826f2538ad8d0fc6a0e2fbbcb622c32
 SHA512 
5d4a4d6b6dcf17b7244ed761850f622b8006c8028dbe6b0f0e95e2c19132d2420c062d4737ebeb1c342f53337fdce2137cf89ae3edb82755e68c846efffe4c8f

diff --git a/dev-qt/pixeltool/pixeltool-5.9.3.ebuild 
b/dev-qt/pixeltool/pixeltool-5.9.3.ebuild
new file mode 100644
index 00000000..84c30915
--- /dev/null
+++ b/dev-qt/pixeltool/pixeltool-5.9.3.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qttools"
+inherit qt5-build
+
+DESCRIPTION="Qt screen magnifier"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~hppa ~ppc64 ~x86"
+fi
+
+IUSE=""
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtgui-${PV}
+       ~dev-qt/qtwidgets-${PV}
+"
+RDEPEND="${DEPEND}"
+
+QT5_TARGET_SUBDIRS=(
+       src/pixeltool
+)

diff --git a/dev-qt/qdbus/Manifest b/dev-qt/qdbus/Manifest
new file mode 100644
index 00000000..0e0d4950
--- /dev/null
+++ b/dev-qt/qdbus/Manifest
@@ -0,0 +1 @@
+DIST qttools-opensource-src-5.9.3.tar.xz 9777804 BLAKE2B 
a1e05555f2c47e62e3a5cb65eebfa7a7e72ca6c591f2c48a026c4206d0f80f7625b318dda8b0a68cba15c5927c099ab69826f2538ad8d0fc6a0e2fbbcb622c32
 SHA512 
5d4a4d6b6dcf17b7244ed761850f622b8006c8028dbe6b0f0e95e2c19132d2420c062d4737ebeb1c342f53337fdce2137cf89ae3edb82755e68c846efffe4c8f

diff --git a/dev-qt/qdbus/qdbus-5.9.3.ebuild b/dev-qt/qdbus/qdbus-5.9.3.ebuild
new file mode 100644
index 00000000..ebe10743
--- /dev/null
+++ b/dev-qt/qdbus/qdbus-5.9.3.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qttools"
+inherit qt5-build
+
+DESCRIPTION="Interface to Qt applications communicating over D-Bus"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE=""
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtdbus-${PV}
+       ~dev-qt/qtxml-${PV}
+"
+RDEPEND="${DEPEND}"
+
+QT5_TARGET_SUBDIRS=(
+       src/qdbus/qdbus
+)

diff --git a/dev-qt/qdbusviewer/Manifest b/dev-qt/qdbusviewer/Manifest
new file mode 100644
index 00000000..0e0d4950
--- /dev/null
+++ b/dev-qt/qdbusviewer/Manifest
@@ -0,0 +1 @@
+DIST qttools-opensource-src-5.9.3.tar.xz 9777804 BLAKE2B 
a1e05555f2c47e62e3a5cb65eebfa7a7e72ca6c591f2c48a026c4206d0f80f7625b318dda8b0a68cba15c5927c099ab69826f2538ad8d0fc6a0e2fbbcb622c32
 SHA512 
5d4a4d6b6dcf17b7244ed761850f622b8006c8028dbe6b0f0e95e2c19132d2420c062d4737ebeb1c342f53337fdce2137cf89ae3edb82755e68c846efffe4c8f

diff --git a/dev-qt/qdbusviewer/qdbusviewer-5.9.3.ebuild 
b/dev-qt/qdbusviewer/qdbusviewer-5.9.3.ebuild
new file mode 100644
index 00000000..d1f5a5ed
--- /dev/null
+++ b/dev-qt/qdbusviewer/qdbusviewer-5.9.3.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qttools"
+inherit qt5-build
+
+DESCRIPTION="Graphical tool that lets you introspect D-Bus objects and 
messages"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~hppa ~ppc64 ~x86"
+fi
+
+IUSE=""
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtdbus-${PV}
+       ~dev-qt/qtgui-${PV}
+       ~dev-qt/qtwidgets-${PV}
+       ~dev-qt/qtxml-${PV}
+"
+RDEPEND="${DEPEND}"
+
+QT5_TARGET_SUBDIRS=(
+       src/qdbus/qdbusviewer
+)

diff --git a/dev-qt/qdoc/Manifest b/dev-qt/qdoc/Manifest
new file mode 100644
index 00000000..0e0d4950
--- /dev/null
+++ b/dev-qt/qdoc/Manifest
@@ -0,0 +1 @@
+DIST qttools-opensource-src-5.9.3.tar.xz 9777804 BLAKE2B 
a1e05555f2c47e62e3a5cb65eebfa7a7e72ca6c591f2c48a026c4206d0f80f7625b318dda8b0a68cba15c5927c099ab69826f2538ad8d0fc6a0e2fbbcb622c32
 SHA512 
5d4a4d6b6dcf17b7244ed761850f622b8006c8028dbe6b0f0e95e2c19132d2420c062d4737ebeb1c342f53337fdce2137cf89ae3edb82755e68c846efffe4c8f

diff --git a/dev-qt/qdoc/qdoc-5.9.3.ebuild b/dev-qt/qdoc/qdoc-5.9.3.ebuild
new file mode 100644
index 00000000..fff12942
--- /dev/null
+++ b/dev-qt/qdoc/qdoc-5.9.3.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qttools"
+inherit qt5-build
+
+DESCRIPTION="Qt documentation generator"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE="qml"
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       qml? ( ~dev-qt/qtdeclarative-${PV} )
+"
+RDEPEND="${DEPEND}"
+
+QT5_TARGET_SUBDIRS=(
+       src/qdoc
+)
+
+src_prepare() {
+       qt_use_disable_mod qml qmldevtools-private \
+               src/qdoc/qdoc.pro
+
+       qt5-build_src_prepare
+}

diff --git a/dev-qt/qt3d/Manifest b/dev-qt/qt3d/Manifest
new file mode 100644
index 00000000..1cd8e4cd
--- /dev/null
+++ b/dev-qt/qt3d/Manifest
@@ -0,0 +1 @@
+DIST qt3d-opensource-src-5.9.3.tar.xz 28000420 BLAKE2B 
6441d217fa8cd23549d2ec2d02f7846e9d0d216bca730fe225fd4ed3e9a4ec13dd76ff6d1b0ed1af5eef0824b2bfa46a4cff8cb1ac2c6d40448ca4c019fd658e
 SHA512 
885cd32b707087e710c0630dbf30a9638aafcb278e6312e53b850f26bf0f18b1c980d6206d33290418cc6c0478215e88022129450dbf1608c9a74d08e3cd7822

diff --git a/dev-qt/qt3d/qt3d-5.9.3.ebuild b/dev-qt/qt3d/qt3d-5.9.3.ebuild
new file mode 100644
index 00000000..02ffa8ef
--- /dev/null
+++ b/dev-qt/qt3d/qt3d-5.9.3.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="The 3D module for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~x86"
+fi
+
+# TODO: gamepad, tools
+IUSE="gles2 qml"
+
+DEPEND="
+       ~dev-qt/qtconcurrent-${PV}
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtgui-${PV}
+       ~dev-qt/qtnetwork-${PV}
+       >=media-libs/assimp-4.0.0
+       qml? ( ~dev-qt/qtdeclarative-${PV}[gles2=] )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       rm -r src/3rdparty/assimp/{code,contrib,include} || die
+
+       qt_use_disable_mod qml quick src/src.pro
+
+       qt5-build_src_prepare
+}

diff --git a/dev-qt/qtbluetooth/Manifest b/dev-qt/qtbluetooth/Manifest
new file mode 100644
index 00000000..4ec7756a
--- /dev/null
+++ b/dev-qt/qtbluetooth/Manifest
@@ -0,0 +1 @@
+DIST qtconnectivity-opensource-src-5.9.3.tar.xz 2723456 BLAKE2B 
b3b18b90d09b612789b65a14937178ebde2ff423ef7931d2b4272f5f61b7fc9df52645d888e10fa135d03a72fcedb398ce95ddd7916a8382b35d6bc3cf79a179
 SHA512 
28fe6ac8e9480e52cffec7bddd6db95ed4bc96858e7b7e6f1ecb325f2ebb48442f7ec3e820579e9c0654aac48ee91ad734e51f0eb65faeaa592eb7a0875854f5

diff --git a/dev-qt/qtbluetooth/qtbluetooth-5.9.3.ebuild 
b/dev-qt/qtbluetooth/qtbluetooth-5.9.3.ebuild
new file mode 100644
index 00000000..e7665bb6
--- /dev/null
+++ b/dev-qt/qtbluetooth/qtbluetooth-5.9.3.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qtconnectivity"
+inherit qt5-build
+
+DESCRIPTION="Bluetooth support library for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+IUSE="qml"
+
+RDEPEND="
+       ~dev-qt/qtconcurrent-${PV}
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtdbus-${PV}
+       >=net-wireless/bluez-5:=
+       qml? ( ~dev-qt/qtdeclarative-${PV} )
+"
+DEPEND="${RDEPEND}
+       ~dev-qt/qtnetwork-${PV}
+"
+
+src_prepare() {
+       sed -i -e 's/nfc//' src/src.pro || die
+
+       qt_use_disable_mod qml quick src/src.pro
+
+       qt5-build_src_prepare
+}

diff --git a/dev-qt/qtcharts/Manifest b/dev-qt/qtcharts/Manifest
new file mode 100644
index 00000000..66e8bc45
--- /dev/null
+++ b/dev-qt/qtcharts/Manifest
@@ -0,0 +1 @@
+DIST qtcharts-opensource-src-5.9.3.tar.xz 4157772 BLAKE2B 
9f1c783e89848bde42978a8f4a307cd8ba8e4d5bffd012f3e1953b8825a598f12f4fd6274bcdf9e719c0130a1e0e33dcc706789ef7017cc2645426e0725a03d5
 SHA512 
394806f9e2abfe5c36772efdbad576f7b8372f8cdd3e171bca320b8e35159f11a8022752f789038f98a63c448473200fcdc8b636781af8a417dce30184402355

diff --git a/dev-qt/qtcharts/qtcharts-5.9.3.ebuild 
b/dev-qt/qtcharts/qtcharts-5.9.3.ebuild
new file mode 100644
index 00000000..87959af4
--- /dev/null
+++ b/dev-qt/qtcharts/qtcharts-5.9.3.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Chart component library for the Qt5 framework"
+LICENSE="GPL-3"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~x86"
+fi
+
+IUSE="qml"
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtgui-${PV}
+       ~dev-qt/qtwidgets-${PV}
+       qml? ( ~dev-qt/qtdeclarative-${PV} )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       qt_use_disable_mod qml quick \
+               src/src.pro
+
+       qt5-build_src_prepare
+}

diff --git a/dev-qt/qtconcurrent/Manifest b/dev-qt/qtconcurrent/Manifest
new file mode 100644
index 00000000..44ceaa0b
--- /dev/null
+++ b/dev-qt/qtconcurrent/Manifest
@@ -0,0 +1 @@
+DIST qtbase-opensource-src-5.9.3.tar.xz 45160080 BLAKE2B 
234eb778c90b5867ae53129da010968563d3fa66fe87e3ad50d2d4e968ecbf41812270a66c24fce27b318a7c6b5be90e518ee1b6bb14fb11985f2269a708899c
 SHA512 
256ffb8760e94c0f87790ed35e210d0c9613e14314ff442dd763cc93fbd5caa6c11c95f5d44b12a7687fb93c9f857878132cf6d76e5933f647ca7beb54b18c7c

diff --git a/dev-qt/qtconcurrent/qtconcurrent-5.9.3.ebuild 
b/dev-qt/qtconcurrent/qtconcurrent-5.9.3.ebuild
new file mode 100644
index 00000000..2886524b
--- /dev/null
+++ b/dev-qt/qtconcurrent/qtconcurrent-5.9.3.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qtbase"
+inherit qt5-build
+
+DESCRIPTION="Multi-threading concurrence support library for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE=""
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+"
+RDEPEND="${DEPEND}"
+
+QT5_TARGET_SUBDIRS=(
+       src/concurrent
+)

diff --git a/dev-qt/qtcore/Manifest b/dev-qt/qtcore/Manifest
new file mode 100644
index 00000000..44ceaa0b
--- /dev/null
+++ b/dev-qt/qtcore/Manifest
@@ -0,0 +1 @@
+DIST qtbase-opensource-src-5.9.3.tar.xz 45160080 BLAKE2B 
234eb778c90b5867ae53129da010968563d3fa66fe87e3ad50d2d4e968ecbf41812270a66c24fce27b318a7c6b5be90e518ee1b6bb14fb11985f2269a708899c
 SHA512 
256ffb8760e94c0f87790ed35e210d0c9613e14314ff442dd763cc93fbd5caa6c11c95f5d44b12a7687fb93c9f857878132cf6d76e5933f647ca7beb54b18c7c

diff --git a/dev-qt/qtcore/qtcore-5.9.3.ebuild 
b/dev-qt/qtcore/qtcore-5.9.3.ebuild
new file mode 100644
index 00000000..779bc30c
--- /dev/null
+++ b/dev-qt/qtcore/qtcore-5.9.3.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qtbase"
+inherit qt5-build
+
+DESCRIPTION="Cross-platform application development framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE="icu systemd"
+
+DEPEND="
+       dev-libs/double-conversion:=
+       dev-libs/glib:2
+       dev-libs/libpcre2[pcre16,unicode]
+       sys-libs/zlib
+       icu? ( dev-libs/icu:= )
+       !icu? ( virtual/libiconv )
+       systemd? ( sys-apps/systemd:= )
+"
+RDEPEND="${DEPEND}"
+
+QT5_TARGET_SUBDIRS=(
+       src/tools/bootstrap
+       src/tools/moc
+       src/tools/rcc
+       src/tools/qfloat16-tables
+       src/corelib
+       src/tools/qlalr
+       doc
+)
+
+src_configure() {
+       local myconf=(
+               $(qt_use icu)
+               $(qt_use !icu iconv)
+               $(qt_use systemd journald)
+       )
+       qt5-build_src_configure
+}
+
+src_install() {
+       qt5-build_src_install
+
+       local flags=(
+               ALSA CUPS DBUS EGL EGLFS EGL_X11 EVDEV FONTCONFIG FREETYPE
+               HARFBUZZ IMAGEFORMAT_JPEG IMAGEFORMAT_PNG LIBPROXY MITSHM
+               OPENGL OPENSSL OPENVG PULSEAUDIO SHAPE SSL TSLIB XCURSOR
+               XFIXES XKB XRANDR XRENDER XSYNC ZLIB
+       )
+
+       for flag in ${flags[@]}; do
+               cat >> "${D%/}"/${QT5_HEADERDIR}/QtCore/qconfig.h <<- _EOF_ || 
die
+
+                       #if defined(QT_NO_${flag}) && defined(QT_${flag})
+                       # undef QT_NO_${flag}
+                       #elif !defined(QT_NO_${flag}) && !defined(QT_${flag})
+                       # define QT_NO_${flag}
+                       #endif
+               _EOF_
+       done
+}

diff --git a/dev-qt/qtdatavis3d/Manifest b/dev-qt/qtdatavis3d/Manifest
new file mode 100644
index 00000000..e2445114
--- /dev/null
+++ b/dev-qt/qtdatavis3d/Manifest
@@ -0,0 +1 @@
+DIST qtdatavis3d-opensource-src-5.9.3.tar.xz 5163104 BLAKE2B 
22502bc5c365afd1d1e65ab0c01d1aa744ec78413714d16c5ef6611b07f797f075b20c59d31ee80d30a5b20c68688e9222597305634355f79296593ab3837634
 SHA512 
2e549ed5dc6aeb92325c3a26a3084865ba6b6bfbb48c3e415dd8dafd54f248a8b61d4a49e376c77eae214fa91df55b3f960ad6400209fbff52708382e154c873

diff --git a/dev-qt/qtdatavis3d/qtdatavis3d-5.9.3.ebuild 
b/dev-qt/qtdatavis3d/qtdatavis3d-5.9.3.ebuild
new file mode 100644
index 00000000..4ce3a82a
--- /dev/null
+++ b/dev-qt/qtdatavis3d/qtdatavis3d-5.9.3.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="3D data visualization library for the Qt5 framework"
+LICENSE="GPL-3"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~x86"
+fi
+
+IUSE="gles2 qml"
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtgui-${PV}[gles2=]
+       qml? ( ~dev-qt/qtdeclarative-${PV}[gles2=] )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       # eliminate bogus dependency on qtwidgets
+       sed -i -e '/requires.*widgets/d' qtdatavis3d.pro || die
+
+       qt_use_disable_mod qml quick \
+               src/src.pro
+
+       qt5-build_src_prepare
+}

diff --git a/dev-qt/qtdbus/Manifest b/dev-qt/qtdbus/Manifest
new file mode 100644
index 00000000..44ceaa0b
--- /dev/null
+++ b/dev-qt/qtdbus/Manifest
@@ -0,0 +1 @@
+DIST qtbase-opensource-src-5.9.3.tar.xz 45160080 BLAKE2B 
234eb778c90b5867ae53129da010968563d3fa66fe87e3ad50d2d4e968ecbf41812270a66c24fce27b318a7c6b5be90e518ee1b6bb14fb11985f2269a708899c
 SHA512 
256ffb8760e94c0f87790ed35e210d0c9613e14314ff442dd763cc93fbd5caa6c11c95f5d44b12a7687fb93c9f857878132cf6d76e5933f647ca7beb54b18c7c

diff --git a/dev-qt/qtdbus/qtdbus-5.9.3.ebuild 
b/dev-qt/qtdbus/qtdbus-5.9.3.ebuild
new file mode 100644
index 00000000..d7d8945c
--- /dev/null
+++ b/dev-qt/qtdbus/qtdbus-5.9.3.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qtbase"
+inherit qt5-build
+
+DESCRIPTION="Qt5 module for inter-process communication over the D-Bus 
protocol"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE=""
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       >=sys-apps/dbus-1.4.20
+"
+RDEPEND="${DEPEND}"
+
+QT5_TARGET_SUBDIRS=(
+       src/dbus
+       src/tools/qdbusxml2cpp
+       src/tools/qdbuscpp2xml
+)
+
+QT5_GENTOO_CONFIG=(
+       :dbus
+       :dbus-linked:
+)
+
+src_configure() {
+       local myconf=(
+               -dbus-linked
+       )
+       qt5-build_src_configure
+}

diff --git a/dev-qt/qtdeclarative/Manifest b/dev-qt/qtdeclarative/Manifest
new file mode 100644
index 00000000..ece3b29a
--- /dev/null
+++ b/dev-qt/qtdeclarative/Manifest
@@ -0,0 +1 @@
+DIST qtdeclarative-opensource-src-5.9.3.tar.xz 21443328 BLAKE2B 
acf201966b55f748e516d0f32c2fae0c3990d00ff5b2f31d72d012840ecff4328ba693eb96a800fa6eaefad285a72edfbaae93343e4d664792c561e78ba56882
 SHA512 
933caf5848437cde45b4bbf0c70b6cafbc690657c651508b28138b2f90d2f823f4842bc709f4726e2c88d3913a92240b0dcd9248d83af0d06d7127b9a8211b24

diff --git a/dev-qt/qtdeclarative/qtdeclarative-5.9.3.ebuild 
b/dev-qt/qtdeclarative/qtdeclarative-5.9.3.ebuild
new file mode 100644
index 00000000..23c47148
--- /dev/null
+++ b/dev-qt/qtdeclarative/qtdeclarative-5.9.3.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+inherit python-any-r1 qt5-build
+
+DESCRIPTION="The QML and Quick modules for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE="gles2 +jit localstorage +widgets xml"
+
+# qtgui[gles2=] is needed because of bug 504322
+COMMON_DEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtgui-${PV}[gles2=]
+       ~dev-qt/qtnetwork-${PV}
+       ~dev-qt/qttest-${PV}
+       localstorage? ( ~dev-qt/qtsql-${PV} )
+       widgets? ( ~dev-qt/qtwidgets-${PV}[gles2=] )
+       xml? (
+               ~dev-qt/qtnetwork-${PV}
+               ~dev-qt/qtxmlpatterns-${PV}
+       )
+"
+DEPEND="${COMMON_DEPEND}
+       ${PYTHON_DEPS}
+"
+RDEPEND="${COMMON_DEPEND}
+       !<dev-qt/qtquickcontrols-5.7:5
+"
+
+src_prepare() {
+       use jit || PATCHES+=("${FILESDIR}/${PN}-5.4.2-disable-jit.patch")
+
+       qt_use_disable_mod localstorage sql \
+               src/imports/imports.pro
+
+       qt_use_disable_mod widgets widgets \
+               src/src.pro \
+               src/qmltest/qmltest.pro \
+               tests/auto/auto.pro \
+               tools/tools.pro \
+               tools/qmlscene/qmlscene.pro \
+               tools/qml/qml.pro
+
+       qt_use_disable_mod xml xmlpatterns \
+               src/imports/imports.pro \
+               tests/auto/quick/quick.pro \
+               tests/auto/quick/examples/examples.pro
+
+       qt5-build_src_prepare
+}

diff --git a/dev-qt/qtdiag/Manifest b/dev-qt/qtdiag/Manifest
new file mode 100644
index 00000000..0e0d4950
--- /dev/null
+++ b/dev-qt/qtdiag/Manifest
@@ -0,0 +1 @@
+DIST qttools-opensource-src-5.9.3.tar.xz 9777804 BLAKE2B 
a1e05555f2c47e62e3a5cb65eebfa7a7e72ca6c591f2c48a026c4206d0f80f7625b318dda8b0a68cba15c5927c099ab69826f2538ad8d0fc6a0e2fbbcb622c32
 SHA512 
5d4a4d6b6dcf17b7244ed761850f622b8006c8028dbe6b0f0e95e2c19132d2420c062d4737ebeb1c342f53337fdce2137cf89ae3edb82755e68c846efffe4c8f

diff --git a/dev-qt/qtdiag/qtdiag-5.9.3.ebuild 
b/dev-qt/qtdiag/qtdiag-5.9.3.ebuild
new file mode 100644
index 00000000..18a8d907
--- /dev/null
+++ b/dev-qt/qtdiag/qtdiag-5.9.3.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qttools"
+inherit qt5-build
+
+DESCRIPTION="Tool for reporting diagnostic information about Qt and its 
environment"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~hppa ~ppc64 ~x86"
+fi
+
+IUSE="+network +widgets"
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtgui-${PV}
+       network? ( ~dev-qt/qtnetwork-${PV}[ssl] )
+       widgets? ( ~dev-qt/qtwidgets-${PV} )
+"
+RDEPEND="${DEPEND}"
+
+QT5_TARGET_SUBDIRS=(
+       src/qtdiag
+)
+
+src_prepare() {
+       qt_use_disable_mod network network \
+               src/qtdiag/qtdiag.pro
+
+       qt_use_disable_mod widgets widgets \
+               src/qtdiag/qtdiag.pro
+
+       qt5-build_src_prepare
+}

diff --git a/dev-qt/qtgraphicaleffects/Manifest 
b/dev-qt/qtgraphicaleffects/Manifest
new file mode 100644
index 00000000..b70a9b19
--- /dev/null
+++ b/dev-qt/qtgraphicaleffects/Manifest
@@ -0,0 +1 @@
+DIST qtgraphicaleffects-opensource-src-5.9.3.tar.xz 14480348 BLAKE2B 
187e048db6cefa7a862c291f11c5490788162dceccd14cbf772c61ac530292ca95e2b18f4da53aa3fbe1ae38fdd3fc6d45a120b3d768313afcc6f12f3e408664
 SHA512 
4695f91b03feba279e62653d5794e175d436c40e1a0acbfd1e3caab9473830f3583dd2a9821f2fd0e0b7d354ad6ae8dd486eb95893118caaf1518cdc64f7a03d

diff --git a/dev-qt/qtgraphicaleffects/qtgraphicaleffects-5.9.3.ebuild 
b/dev-qt/qtgraphicaleffects/qtgraphicaleffects-5.9.3.ebuild
new file mode 100644
index 00000000..d98f845c
--- /dev/null
+++ b/dev-qt/qtgraphicaleffects/qtgraphicaleffects-5.9.3.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+VIRTUALX_REQUIRED="test"
+inherit qt5-build
+
+DESCRIPTION="Set of QML types for adding visual effects to user interfaces"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE=""
+
+RDEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtdeclarative-${PV}
+       ~dev-qt/qtgui-${PV}
+"
+DEPEND="${RDEPEND}"

diff --git a/dev-qt/qtgui/Manifest b/dev-qt/qtgui/Manifest
new file mode 100644
index 00000000..44ceaa0b
--- /dev/null
+++ b/dev-qt/qtgui/Manifest
@@ -0,0 +1 @@
+DIST qtbase-opensource-src-5.9.3.tar.xz 45160080 BLAKE2B 
234eb778c90b5867ae53129da010968563d3fa66fe87e3ad50d2d4e968ecbf41812270a66c24fce27b318a7c6b5be90e518ee1b6bb14fb11985f2269a708899c
 SHA512 
256ffb8760e94c0f87790ed35e210d0c9613e14314ff442dd763cc93fbd5caa6c11c95f5d44b12a7687fb93c9f857878132cf6d76e5933f647ca7beb54b18c7c

diff --git a/dev-qt/qtgui/qtgui-5.9.3.ebuild b/dev-qt/qtgui/qtgui-5.9.3.ebuild
new file mode 100644
index 00000000..2a71b40d
--- /dev/null
+++ b/dev-qt/qtgui/qtgui-5.9.3.ebuild
@@ -0,0 +1,164 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qtbase"
+inherit qt5-build
+
+DESCRIPTION="The GUI module and platform plugins for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+# TODO: linuxfb
+
+IUSE="accessibility dbus egl eglfs evdev +gif gles2 ibus
+       jpeg +libinput +png tslib tuio +udev vnc +xcb"
+REQUIRED_USE="
+       || ( eglfs xcb )
+       accessibility? ( dbus xcb )
+       eglfs? ( egl )
+       ibus? ( dbus )
+       libinput? ( udev )
+       xcb? ( gles2? ( egl ) )
+"
+
+RDEPEND="
+       dev-libs/glib:2
+       ~dev-qt/qtcore-${PV}
+       media-libs/fontconfig
+       >=media-libs/freetype-2.6.1:2
+       >=media-libs/harfbuzz-1.0.6:=
+       >=sys-libs/zlib-1.2.5
+       virtual/opengl
+       dbus? ( ~dev-qt/qtdbus-${PV} )
+       egl? ( media-libs/mesa[egl] )
+       eglfs? (
+               media-libs/mesa[gbm]
+               x11-libs/libdrm
+       )
+       evdev? ( sys-libs/mtdev )
+       gles2? ( media-libs/mesa[gles2] )
+       jpeg? ( virtual/jpeg:0 )
+       libinput? (
+               dev-libs/libinput:=
+               x11-libs/libxkbcommon
+       )
+       png? ( media-libs/libpng:0= )
+       tslib? ( x11-libs/tslib )
+       tuio? ( ~dev-qt/qtnetwork-${PV} )
+       udev? ( virtual/libudev:= )
+       vnc? ( ~dev-qt/qtnetwork-${PV} )
+       xcb? (
+               x11-libs/libICE
+               x11-libs/libSM
+               x11-libs/libX11
+               >=x11-libs/libXi-1.7.4
+               >=x11-libs/libxcb-1.10:=[xkb]
+               >=x11-libs/libxkbcommon-0.4.1[X]
+               x11-libs/xcb-util-image
+               x11-libs/xcb-util-keysyms
+               x11-libs/xcb-util-renderutil
+               x11-libs/xcb-util-wm
+       )
+"
+DEPEND="${RDEPEND}
+       evdev? ( sys-kernel/linux-headers )
+       udev? ( sys-kernel/linux-headers )
+"
+PDEPEND="
+       ibus? ( app-i18n/ibus )
+"
+
+QT5_TARGET_SUBDIRS=(
+       src/gui
+       src/openglextensions
+       src/platformheaders
+       src/platformsupport
+       src/plugins/generic
+       src/plugins/imageformats
+       src/plugins/platforms
+       src/plugins/platforminputcontexts
+)
+
+QT5_GENTOO_CONFIG=(
+       accessibility:accessibility-atspi-bridge
+       egl
+       eglfs
+       eglfs:eglfs_egldevice:
+       eglfs:eglfs_gbm:
+       evdev
+       evdev:mtdev:
+       :fontconfig
+       :system-freetype:FREETYPE
+       !:no-freetype:
+       !gif:no-gif:
+       gles2::OPENGL_ES
+       gles2:opengles2:OPENGL_ES_2
+       !:no-gui:
+       :system-harfbuzz:HARFBUZZ
+       !:no-harfbuzz:
+       jpeg:system-jpeg:IMAGEFORMAT_JPEG
+       !jpeg:no-jpeg:
+       libinput
+       libinput:xkbcommon-evdev:
+       :opengl
+       png:png:
+       png:system-png:IMAGEFORMAT_PNG
+       !png:no-png:
+       tslib
+       udev:libudev:
+       xcb:xcb:
+       xcb:xcb-glx:
+       xcb:xcb-plugin:
+       xcb:xcb-render:
+       xcb:xcb-sm:
+       xcb:xcb-xlib:
+       xcb:xinput2:
+       xcb::XKB
+)
+
+src_prepare() {
+       # egl_x11 is activated when both egl and xcb are enabled
+       use egl && QT5_GENTOO_CONFIG+=(xcb:egl_x11) || 
QT5_GENTOO_CONFIG+=(egl:egl_x11)
+
+       qt_use_disable_config dbus dbus \
+               src/platformsupport/themes/genericunix/genericunix.pri
+
+       qt_use_disable_config tuio udpsocket src/plugins/generic/generic.pro
+
+       qt_use_disable_mod ibus dbus \
+               src/plugins/platforminputcontexts/platforminputcontexts.pro
+
+       use vnc || sed -i -e '/SUBDIRS += vnc/d' \
+               src/plugins/platforms/platforms.pro || die
+
+       qt5-build_src_prepare
+}
+
+src_configure() {
+       local myconf=(
+               $(usex dbus -dbus-linked '')
+               $(qt_use egl)
+               $(qt_use eglfs)
+               $(usex eglfs '-gbm -kms' '')
+               $(qt_use evdev)
+               $(qt_use evdev mtdev)
+               -fontconfig
+               -system-freetype
+               $(usex gif '' -no-gif)
+               -system-harfbuzz
+               $(qt_use jpeg libjpeg system)
+               $(qt_use libinput)
+               $(qt_use libinput xkbcommon-evdev)
+               -opengl $(usex gles2 es2 desktop)
+               $(qt_use png libpng system)
+               $(qt_use tslib)
+               $(qt_use udev libudev)
+               $(qt_use xcb xcb system)
+               $(qt_use xcb xkbcommon-x11 system)
+               $(usex xcb '-xcb-xlib -xinput2 -xkb' '')
+       )
+       qt5-build_src_configure
+}

diff --git a/dev-qt/qthelp/Manifest b/dev-qt/qthelp/Manifest
new file mode 100644
index 00000000..0e0d4950
--- /dev/null
+++ b/dev-qt/qthelp/Manifest
@@ -0,0 +1 @@
+DIST qttools-opensource-src-5.9.3.tar.xz 9777804 BLAKE2B 
a1e05555f2c47e62e3a5cb65eebfa7a7e72ca6c591f2c48a026c4206d0f80f7625b318dda8b0a68cba15c5927c099ab69826f2538ad8d0fc6a0e2fbbcb622c32
 SHA512 
5d4a4d6b6dcf17b7244ed761850f622b8006c8028dbe6b0f0e95e2c19132d2420c062d4737ebeb1c342f53337fdce2137cf89ae3edb82755e68c846efffe4c8f

diff --git a/dev-qt/qthelp/qthelp-5.9.3.ebuild 
b/dev-qt/qthelp/qthelp-5.9.3.ebuild
new file mode 100644
index 00000000..05bca269
--- /dev/null
+++ b/dev-qt/qthelp/qthelp-5.9.3.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qttools"
+inherit qt5-build
+
+DESCRIPTION="Qt5 module for integrating online documentation into applications"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc64 ~x86"
+fi
+
+IUSE=""
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtgui-${PV}
+       ~dev-qt/qtnetwork-${PV}
+       ~dev-qt/qtsql-${PV}[sqlite]
+       ~dev-qt/qtwidgets-${PV}
+"
+RDEPEND="${DEPEND}"
+
+QT5_TARGET_SUBDIRS=(
+       src/assistant/help
+       src/assistant/qcollectiongenerator
+       src/assistant/qhelpconverter
+       src/assistant/qhelpgenerator
+)

diff --git a/dev-qt/qtimageformats/Manifest b/dev-qt/qtimageformats/Manifest
new file mode 100644
index 00000000..417e2a7d
--- /dev/null
+++ b/dev-qt/qtimageformats/Manifest
@@ -0,0 +1 @@
+DIST qtimageformats-opensource-src-5.9.3.tar.xz 2102504 BLAKE2B 
46fdbb00177e6feb7fdf38595026bb4b87053b6158e20ab06d7150e1b9ed88ef6ebca93cc396240194f2c6feca9613153abd88f49949f1e4956f9665d368e2a4
 SHA512 
521c805635084fba3746ee86ac7dfc94d2446114dd76aecad6a6f0cb97f49e443f078f2e0439a10a9d3d5fcd285136959b740707fb8d7776b0450f964950a864

diff --git a/dev-qt/qtimageformats/qtimageformats-5.9.3.ebuild 
b/dev-qt/qtimageformats/qtimageformats-5.9.3.ebuild
new file mode 100644
index 00000000..3285265e
--- /dev/null
+++ b/dev-qt/qtimageformats/qtimageformats-5.9.3.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Additional format plugins for the Qt image I/O system"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~hppa ~ppc64 ~x86"
+fi
+
+IUSE=""
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtgui-${PV}
+       media-libs/jasper:=
+       media-libs/libmng:=
+       media-libs/libwebp:=
+       media-libs/tiff:0
+"
+RDEPEND="${DEPEND}"

diff --git a/dev-qt/qtlocation/Manifest b/dev-qt/qtlocation/Manifest
new file mode 100644
index 00000000..8ff542de
--- /dev/null
+++ b/dev-qt/qtlocation/Manifest
@@ -0,0 +1 @@
+DIST qtlocation-opensource-src-5.9.3.tar.xz 5374552 BLAKE2B 
d8f7449daf02d98b9ad3ccc93a547f6d0cbe25f4d17637f1efada9cf6d00e84a082845c16a488a6653570b33a2c3be9c8f2dfc6881cba5a10e35e1a96f23893a
 SHA512 
11bf2c6000fc2db92dc857cc6f271e7ff19f500fde14520678e9af57fac41debde4c4b937dbab4fe1f7d5744e1bd0fc25ea32fceecf97d32cecdbbc8e2105373

diff --git a/dev-qt/qtlocation/qtlocation-5.9.3.ebuild 
b/dev-qt/qtlocation/qtlocation-5.9.3.ebuild
new file mode 100644
index 00000000..06c3a9a1
--- /dev/null
+++ b/dev-qt/qtlocation/qtlocation-5.9.3.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="The Location module for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+IUSE=""
+
+RDEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtdeclarative-${PV}
+       ~dev-qt/qtgui-${PV}
+       ~dev-qt/qtnetwork-${PV}
+       ~dev-qt/qtpositioning-${PV}
+       ~dev-qt/qtsql-${PV}
+       sys-libs/zlib
+"
+DEPEND="${RDEPEND}
+       ~dev-qt/qtconcurrent-${PV}
+"
+
+QT5_TARGET_SUBDIRS=(
+       src/3rdparty/clipper
+       src/3rdparty/poly2tri
+       src/3rdparty/clip2tri
+       src/3rdparty/mapbox-gl-native
+       src/location
+       src/imports/location
+       src/plugins/geoservices
+)
+
+src_configure() {
+       # src/plugins/geoservices requires files that are only generated when
+       # qmake is run in the root directory. Bug 633776.
+       mkdir -p "${QT5_BUILD_DIR}" || die
+       qt5_qmake "${QT_BUILD_DIR}"
+       qt5-build_src_configure
+}

diff --git a/dev-qt/qtmultimedia/Manifest b/dev-qt/qtmultimedia/Manifest
new file mode 100644
index 00000000..621a401e
--- /dev/null
+++ b/dev-qt/qtmultimedia/Manifest
@@ -0,0 +1 @@
+DIST qtmultimedia-opensource-src-5.9.3.tar.xz 3598216 BLAKE2B 
9f9e88272d4b3746ba3a235e44fc11b5b7074b371093600fd8f5f19b57a651224aa3ab44f9496d2add78d0ad355f6ea1ed13c172c8d6ad469d962d0aca8aca11
 SHA512 
fc00650473ff5eb8f61342e144c97a6988d60b663efee27b58361c705ee482790df2442b58d1f44a069ea95a39b6ed792cff6ee12db848f1738b526e3afbacae

diff --git a/dev-qt/qtmultimedia/qtmultimedia-5.9.3.ebuild 
b/dev-qt/qtmultimedia/qtmultimedia-5.9.3.ebuild
new file mode 100644
index 00000000..d0626551
--- /dev/null
+++ b/dev-qt/qtmultimedia/qtmultimedia-5.9.3.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Multimedia (audio, video, radio, camera) library for the Qt5 
framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE="alsa gles2 gstreamer openal pulseaudio qml widgets"
+
+RDEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtgui-${PV}[gles2=]
+       ~dev-qt/qtnetwork-${PV}
+       alsa? ( media-libs/alsa-lib )
+       gstreamer? (
+               dev-libs/glib:2
+               media-libs/gstreamer:1.0
+               media-libs/gst-plugins-bad:1.0
+               media-libs/gst-plugins-base:1.0
+       )
+       pulseaudio? ( media-sound/pulseaudio )
+       qml? (
+               ~dev-qt/qtdeclarative-${PV}
+               gles2? ( ~dev-qt/qtgui-${PV}[egl] )
+               openal? ( media-libs/openal )
+       )
+       widgets? (
+               ~dev-qt/qtopengl-${PV}
+               ~dev-qt/qtwidgets-${PV}[gles2=]
+       )
+"
+DEPEND="${RDEPEND}
+       gstreamer? ( x11-proto/videoproto )
+"
+
+src_prepare() {
+       qt_use_disable_config openal openal \
+               src/imports/imports.pro
+
+       qt_use_disable_mod qml quick \
+               src/src.pro \
+               src/plugins/plugins.pro
+
+       qt_use_disable_mod widgets widgets \
+               src/src.pro \
+               src/gsttools/gsttools.pro \
+               src/plugins/gstreamer/common.pri
+
+       qt5-build_src_prepare
+}
+
+src_configure() {
+       local myqmakeargs=(
+               --
+               $(qt_use alsa)
+               $(qt_use gstreamer)
+               $(qt_use pulseaudio)
+       )
+       qt5-build_src_configure
+}

diff --git a/dev-qt/qtnetwork/Manifest b/dev-qt/qtnetwork/Manifest
new file mode 100644
index 00000000..44ceaa0b
--- /dev/null
+++ b/dev-qt/qtnetwork/Manifest
@@ -0,0 +1 @@
+DIST qtbase-opensource-src-5.9.3.tar.xz 45160080 BLAKE2B 
234eb778c90b5867ae53129da010968563d3fa66fe87e3ad50d2d4e968ecbf41812270a66c24fce27b318a7c6b5be90e518ee1b6bb14fb11985f2269a708899c
 SHA512 
256ffb8760e94c0f87790ed35e210d0c9613e14314ff442dd763cc93fbd5caa6c11c95f5d44b12a7687fb93c9f857878132cf6d76e5933f647ca7beb54b18c7c

diff --git a/dev-qt/qtnetwork/qtnetwork-5.9.3.ebuild 
b/dev-qt/qtnetwork/qtnetwork-5.9.3.ebuild
new file mode 100644
index 00000000..48c13b15
--- /dev/null
+++ b/dev-qt/qtnetwork/qtnetwork-5.9.3.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qtbase"
+inherit qt5-build
+
+DESCRIPTION="Network abstraction library for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE="bindist connman libproxy networkmanager +ssl"
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       >=sys-libs/zlib-1.2.5
+       connman? ( ~dev-qt/qtdbus-${PV} )
+       libproxy? ( net-libs/libproxy )
+       networkmanager? ( ~dev-qt/qtdbus-${PV} )
+       ssl? ( dev-libs/openssl:0=[bindist=] )
+"
+RDEPEND="${DEPEND}
+       connman? ( net-misc/connman )
+       networkmanager? ( net-misc/networkmanager )
+"
+
+QT5_TARGET_SUBDIRS=(
+       src/network
+       src/plugins/bearer/generic
+)
+
+QT5_GENTOO_CONFIG=(
+       libproxy
+       ssl::SSL
+       ssl::OPENSSL
+       ssl:openssl-linked:LINKED_OPENSSL
+)
+
+pkg_setup() {
+       use connman && QT5_TARGET_SUBDIRS+=(src/plugins/bearer/connman)
+       use networkmanager && 
QT5_TARGET_SUBDIRS+=(src/plugins/bearer/networkmanager)
+}
+
+src_configure() {
+       local myconf=(
+               $(use connman || use networkmanager && echo -dbus-linked)
+               $(qt_use libproxy)
+               $(usex ssl -openssl-linked '')
+       )
+       qt5-build_src_configure
+}

diff --git a/dev-qt/qtnetworkauth/Manifest b/dev-qt/qtnetworkauth/Manifest
new file mode 100644
index 00000000..e0822b97
--- /dev/null
+++ b/dev-qt/qtnetworkauth/Manifest
@@ -0,0 +1 @@
+DIST qtnetworkauth-opensource-src-5.9.3.tar.xz 112280 BLAKE2B 
153f41bdeaff72c7d00aaaf4b10dfa0461a1c42e2c935ae2a266e989fb11094f665944fa355251fd741d7b2e225bf904cfd286a4e10fb2c12a8e44533b6bca90
 SHA512 
cd884160895746a8f3cf75167559f5aceb8f87fda09823352c09c83209aef40b212589e66e76d74c736573b23e0ec7e0741d3e90f8f83cbb64c697a76beaf5eb

diff --git a/dev-qt/qtnetworkauth/qtnetworkauth-5.9.3.ebuild 
b/dev-qt/qtnetworkauth/qtnetworkauth-5.9.3.ebuild
new file mode 100644
index 00000000..ec54a2f0
--- /dev/null
+++ b/dev-qt/qtnetworkauth/qtnetworkauth-5.9.3.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Network authorization library for the Qt5 framework"
+LICENSE="GPL-3"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~x86"
+fi
+
+IUSE=""
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtnetwork-${PV}
+"
+RDEPEND="${DEPEND}"

diff --git a/dev-qt/qtopengl/Manifest b/dev-qt/qtopengl/Manifest
new file mode 100644
index 00000000..44ceaa0b
--- /dev/null
+++ b/dev-qt/qtopengl/Manifest
@@ -0,0 +1 @@
+DIST qtbase-opensource-src-5.9.3.tar.xz 45160080 BLAKE2B 
234eb778c90b5867ae53129da010968563d3fa66fe87e3ad50d2d4e968ecbf41812270a66c24fce27b318a7c6b5be90e518ee1b6bb14fb11985f2269a708899c
 SHA512 
256ffb8760e94c0f87790ed35e210d0c9613e14314ff442dd763cc93fbd5caa6c11c95f5d44b12a7687fb93c9f857878132cf6d76e5933f647ca7beb54b18c7c

diff --git a/dev-qt/qtopengl/qtopengl-5.9.3.ebuild 
b/dev-qt/qtopengl/qtopengl-5.9.3.ebuild
new file mode 100644
index 00000000..7e85dc2c
--- /dev/null
+++ b/dev-qt/qtopengl/qtopengl-5.9.3.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qtbase"
+VIRTUALX_REQUIRED="test"
+inherit qt5-build
+
+DESCRIPTION="OpenGL support library for the Qt5 framework (deprecated)"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE="gles2"
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtgui-${PV}[gles2=]
+       ~dev-qt/qtwidgets-${PV}[gles2=]
+       virtual/opengl
+"
+RDEPEND="${DEPEND}"
+
+QT5_TARGET_SUBDIRS=(
+       src/opengl
+)
+
+src_configure() {
+       local myconf=(
+               -opengl $(usex gles2 es2 desktop)
+       )
+       qt5-build_src_configure
+}

diff --git a/dev-qt/qtpaths/Manifest b/dev-qt/qtpaths/Manifest
new file mode 100644
index 00000000..0e0d4950
--- /dev/null
+++ b/dev-qt/qtpaths/Manifest
@@ -0,0 +1 @@
+DIST qttools-opensource-src-5.9.3.tar.xz 9777804 BLAKE2B 
a1e05555f2c47e62e3a5cb65eebfa7a7e72ca6c591f2c48a026c4206d0f80f7625b318dda8b0a68cba15c5927c099ab69826f2538ad8d0fc6a0e2fbbcb622c32
 SHA512 
5d4a4d6b6dcf17b7244ed761850f622b8006c8028dbe6b0f0e95e2c19132d2420c062d4737ebeb1c342f53337fdce2137cf89ae3edb82755e68c846efffe4c8f

diff --git a/dev-qt/qtpaths/qtpaths-5.9.3.ebuild 
b/dev-qt/qtpaths/qtpaths-5.9.3.ebuild
new file mode 100644
index 00000000..c6c9ac70
--- /dev/null
+++ b/dev-qt/qtpaths/qtpaths-5.9.3.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qttools"
+inherit qt5-build
+
+DESCRIPTION="Command line client to QStandardPaths"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE=""
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+"
+RDEPEND="${DEPEND}"
+
+QT5_TARGET_SUBDIRS=(
+       src/qtpaths
+)

diff --git a/dev-qt/qtplugininfo/Manifest b/dev-qt/qtplugininfo/Manifest
new file mode 100644
index 00000000..0e0d4950
--- /dev/null
+++ b/dev-qt/qtplugininfo/Manifest
@@ -0,0 +1 @@
+DIST qttools-opensource-src-5.9.3.tar.xz 9777804 BLAKE2B 
a1e05555f2c47e62e3a5cb65eebfa7a7e72ca6c591f2c48a026c4206d0f80f7625b318dda8b0a68cba15c5927c099ab69826f2538ad8d0fc6a0e2fbbcb622c32
 SHA512 
5d4a4d6b6dcf17b7244ed761850f622b8006c8028dbe6b0f0e95e2c19132d2420c062d4737ebeb1c342f53337fdce2137cf89ae3edb82755e68c846efffe4c8f

diff --git a/dev-qt/qtplugininfo/qtplugininfo-5.9.3.ebuild 
b/dev-qt/qtplugininfo/qtplugininfo-5.9.3.ebuild
new file mode 100644
index 00000000..f411fc0c
--- /dev/null
+++ b/dev-qt/qtplugininfo/qtplugininfo-5.9.3.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qttools"
+inherit qt5-build
+
+DESCRIPTION="Qt5 plugin metadata dumper"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~x86"
+fi
+
+IUSE=""
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+"
+RDEPEND="${DEPEND}"
+
+QT5_TARGET_SUBDIRS=(
+       src/qtplugininfo
+)

diff --git a/dev-qt/qtpositioning/Manifest b/dev-qt/qtpositioning/Manifest
new file mode 100644
index 00000000..8ff542de
--- /dev/null
+++ b/dev-qt/qtpositioning/Manifest
@@ -0,0 +1 @@
+DIST qtlocation-opensource-src-5.9.3.tar.xz 5374552 BLAKE2B 
d8f7449daf02d98b9ad3ccc93a547f6d0cbe25f4d17637f1efada9cf6d00e84a082845c16a488a6653570b33a2c3be9c8f2dfc6881cba5a10e35e1a96f23893a
 SHA512 
11bf2c6000fc2db92dc857cc6f271e7ff19f500fde14520678e9af57fac41debde4c4b937dbab4fe1f7d5744e1bd0fc25ea32fceecf97d32cecdbbc8e2105373

diff --git a/dev-qt/qtpositioning/qtpositioning-5.9.3.ebuild 
b/dev-qt/qtpositioning/qtpositioning-5.9.3.ebuild
new file mode 100644
index 00000000..ccf6ea6d
--- /dev/null
+++ b/dev-qt/qtpositioning/qtpositioning-5.9.3.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qtlocation"
+inherit qt5-build
+
+DESCRIPTION="Physical position determination library for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc64 ~x86"
+fi
+
+IUSE="geoclue qml"
+
+RDEPEND="
+       ~dev-qt/qtcore-${PV}
+       geoclue? ( ~dev-qt/qtdbus-${PV} )
+       qml? ( ~dev-qt/qtdeclarative-${PV} )
+"
+DEPEND="${RDEPEND}"
+PDEPEND="
+       geoclue? ( app-misc/geoclue:0 )
+"
+
+QT5_TARGET_SUBDIRS=(
+       src/3rdparty/clipper
+       src/3rdparty/poly2tri
+       src/3rdparty/clip2tri
+       src/positioning
+       src/plugins/position/positionpoll
+)
+
+pkg_setup() {
+       use geoclue && QT5_TARGET_SUBDIRS+=(src/plugins/position/geoclue)
+       use qml && QT5_TARGET_SUBDIRS+=(src/imports/positioning)
+}

diff --git a/dev-qt/qtprintsupport/Manifest b/dev-qt/qtprintsupport/Manifest
new file mode 100644
index 00000000..44ceaa0b
--- /dev/null
+++ b/dev-qt/qtprintsupport/Manifest
@@ -0,0 +1 @@
+DIST qtbase-opensource-src-5.9.3.tar.xz 45160080 BLAKE2B 
234eb778c90b5867ae53129da010968563d3fa66fe87e3ad50d2d4e968ecbf41812270a66c24fce27b318a7c6b5be90e518ee1b6bb14fb11985f2269a708899c
 SHA512 
256ffb8760e94c0f87790ed35e210d0c9613e14314ff442dd763cc93fbd5caa6c11c95f5d44b12a7687fb93c9f857878132cf6d76e5933f647ca7beb54b18c7c

diff --git a/dev-qt/qtprintsupport/qtprintsupport-5.9.3.ebuild 
b/dev-qt/qtprintsupport/qtprintsupport-5.9.3.ebuild
new file mode 100644
index 00000000..71b61e38
--- /dev/null
+++ b/dev-qt/qtprintsupport/qtprintsupport-5.9.3.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qtbase"
+VIRTUALX_REQUIRED="test"
+inherit qt5-build
+
+DESCRIPTION="Printing support library for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE="cups gles2"
+
+RDEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtgui-${PV}[gles2=]
+       ~dev-qt/qtwidgets-${PV}[gles2=]
+       cups? ( >=net-print/cups-1.4 )
+"
+DEPEND="${RDEPEND}
+       test? ( ~dev-qt/qtnetwork-${PV} )
+"
+
+QT5_TARGET_SUBDIRS=(
+       src/printsupport
+       src/plugins/printsupport
+)
+
+QT5_GENTOO_CONFIG=(
+       cups
+)
+
+src_configure() {
+       local myconf=(
+               $(qt_use cups)
+               -opengl $(usex gles2 es2 desktop)
+       )
+       qt5-build_src_configure
+}

diff --git a/dev-qt/qtquickcontrols/Manifest b/dev-qt/qtquickcontrols/Manifest
new file mode 100644
index 00000000..def98e0c
--- /dev/null
+++ b/dev-qt/qtquickcontrols/Manifest
@@ -0,0 +1 @@
+DIST qtquickcontrols-opensource-src-5.9.3.tar.xz 5946216 BLAKE2B 
a0c5aefa3f5cf8bb4e6dd8a84551a8b42d99f0a7f4e745cfb0052698af8772f95692679e7471a4c1dfb1dd6b0647755122caf0658f61ec5fd0e1e9eaa6e3970b
 SHA512 
dc57c1960e598b81190924e35380bbb14e6696d72bdfa1db3ecca0715f930a53ae61daa7884f4c56af2b6f5896ee3b4b409cdae6192e82e6fa69d49a08b1db06

diff --git a/dev-qt/qtquickcontrols/qtquickcontrols-5.9.3.ebuild 
b/dev-qt/qtquickcontrols/qtquickcontrols-5.9.3.ebuild
new file mode 100644
index 00000000..ac6ab02e
--- /dev/null
+++ b/dev-qt/qtquickcontrols/qtquickcontrols-5.9.3.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Set of controls used in conjunction with Qt Quick to build 
complete interfaces"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE="+widgets"
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtdeclarative-${PV}
+       ~dev-qt/qtgui-${PV}
+       widgets? ( ~dev-qt/qtwidgets-${PV} )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       qt_use_disable_mod widgets widgets \
+               src/src.pro \
+               src/controls/Private/private.pri \
+               tests/auto/activeFocusOnTab/activeFocusOnTab.pro \
+               tests/auto/controls/controls.pro \
+               tests/auto/testplugin/testplugin.pro
+
+       qt5-build_src_prepare
+}

diff --git a/dev-qt/qtquickcontrols2/Manifest b/dev-qt/qtquickcontrols2/Manifest
new file mode 100644
index 00000000..2f84f685
--- /dev/null
+++ b/dev-qt/qtquickcontrols2/Manifest
@@ -0,0 +1 @@
+DIST qtquickcontrols2-opensource-src-5.9.3.tar.xz 4123332 BLAKE2B 
624b0ad282dbdd18c73466637ad3897b83209d76460bc72e3cf572bae6345f2ccf0ee8ef5ec0cb0cec864ac58f3e19346355d63cf2ea57da7e36ccf20dc5394d
 SHA512 
34bec1d3c68eb86ff078fded6d19f463ee78f4929adae54beb2a1c0b1dc3f5b1a7e73210ac05e3a7e3391919c37892dde4aff88cf20e2fb148cb2a03401856ee

diff --git a/dev-qt/qtquickcontrols2/qtquickcontrols2-5.9.3.ebuild 
b/dev-qt/qtquickcontrols2/qtquickcontrols2-5.9.3.ebuild
new file mode 100644
index 00000000..af1973c2
--- /dev/null
+++ b/dev-qt/qtquickcontrols2/qtquickcontrols2-5.9.3.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Set of next generation Qt Quick controls for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~x86"
+fi
+
+IUSE="widgets"
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtdeclarative-${PV}
+       ~dev-qt/qtgui-${PV}
+       widgets? ( ~dev-qt/qtwidgets-${PV} )
+"
+RDEPEND="${DEPEND}
+       ~dev-qt/qtgraphicaleffects-${PV}
+"
+
+src_prepare() {
+       qt_use_disable_mod widgets widgets \
+               src/imports/platform/platform.pro
+
+       qt5-build_src_prepare
+}

diff --git a/dev-qt/qtscript/Manifest b/dev-qt/qtscript/Manifest
new file mode 100644
index 00000000..dc4f3240
--- /dev/null
+++ b/dev-qt/qtscript/Manifest
@@ -0,0 +1 @@
+DIST qtscript-opensource-src-5.9.3.tar.xz 2612056 BLAKE2B 
54cc954038899cccff54b806363fb778ff90c3f1d599adaf2309237b1554fa615d5660c21a51bb84bbb94a9fd72c310bb9f187de31b6ce437eee71cd91735200
 SHA512 
a1a320780dbb83e8c5889c528648cd5cace79b29561902474f03e2dfeeef4ab451ac101fecff19130d8b55809f8e457b9198608153a91deed039f529d21a3006

diff --git a/dev-qt/qtscript/qtscript-5.9.3.ebuild 
b/dev-qt/qtscript/qtscript-5.9.3.ebuild
new file mode 100644
index 00000000..d04b0886
--- /dev/null
+++ b/dev-qt/qtscript/qtscript-5.9.3.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Application scripting library for the Qt5 framework (deprecated)"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE="+jit scripttools"
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       scripttools? (
+               ~dev-qt/qtgui-${PV}
+               ~dev-qt/qtwidgets-${PV}
+       )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       qt_use_disable_mod scripttools widgets \
+               src/src.pro
+
+       qt5-build_src_prepare
+}
+
+src_configure() {
+       local myqmakeargs=(
+               JAVASCRIPTCORE_JIT=$(usex jit 'yes' 'no')
+       )
+       qt5-build_src_configure
+}

diff --git a/dev-qt/qtscxml/Manifest b/dev-qt/qtscxml/Manifest
new file mode 100644
index 00000000..f66b48e1
--- /dev/null
+++ b/dev-qt/qtscxml/Manifest
@@ -0,0 +1 @@
+DIST qtscxml-opensource-src-5.9.3.tar.xz 414128 BLAKE2B 
28f945f53827b9adae09a1582745c851b41c784b09ac1f388bfadd3fe7d844635da00503066918238629884a6ba5e0eeb01acc5a3d5c0d65b52e505808e8c6ff
 SHA512 
da5fb6266cd0cacaa3b815c17e1d7a356206b4a8ed10507584927231c1a84b032ae88a3edaac897c6e01b14b38cb83fccc4c81dd94396b9d967d9b833f4732c0

diff --git a/dev-qt/qtscxml/qtscxml-5.9.3.ebuild 
b/dev-qt/qtscxml/qtscxml-5.9.3.ebuild
new file mode 100644
index 00000000..e8f77a2e
--- /dev/null
+++ b/dev-qt/qtscxml/qtscxml-5.9.3.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="State Chart XML (SCXML) support library for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~x86"
+fi
+
+IUSE=""
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtdeclarative-${PV}
+"
+RDEPEND="${DEPEND}"

diff --git a/dev-qt/qtsensors/Manifest b/dev-qt/qtsensors/Manifest
new file mode 100644
index 00000000..1af049c1
--- /dev/null
+++ b/dev-qt/qtsensors/Manifest
@@ -0,0 +1 @@
+DIST qtsensors-opensource-src-5.9.3.tar.xz 1994812 BLAKE2B 
81defcf70941d8d6f93d522f572300e0145cc2d5bac25a9654c8821d9005a1f528fc2c544651159395b039886aa8fdfde0a2ee0d5c7aafbaf64cd4260e10f747
 SHA512 
848184de2c914c0240f3ecffe96ab267fb24693d16a55c1c757d83af9f282bc6f6c5cd762cb42fc389bc02e301c21a6da7b178260f534db35f0abe277f638ea9

diff --git a/dev-qt/qtsensors/qtsensors-5.9.3.ebuild 
b/dev-qt/qtsensors/qtsensors-5.9.3.ebuild
new file mode 100644
index 00000000..c0936283
--- /dev/null
+++ b/dev-qt/qtsensors/qtsensors-5.9.3.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Hardware sensor access library for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc64 ~x86"
+fi
+
+# TODO: simulator
+IUSE="qml"
+
+RDEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtdbus-${PV}
+       qml? ( ~dev-qt/qtdeclarative-${PV} )
+"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+       qt_use_disable_mod qml quick \
+               src/src.pro
+
+       qt5-build_src_prepare
+}

diff --git a/dev-qt/qtserialbus/Manifest b/dev-qt/qtserialbus/Manifest
new file mode 100644
index 00000000..63ebac79
--- /dev/null
+++ b/dev-qt/qtserialbus/Manifest
@@ -0,0 +1 @@
+DIST qtserialbus-opensource-src-5.9.3.tar.xz 279060 BLAKE2B 
a5aef9773b31e82c654eb23d0be578ed95126b4c38ccd1c3cae70cdbdbf4a0880988c760df470466f8e1dadc1d7dca78a85e6b1053439acf2ec1c095fe521880
 SHA512 
d50bbd96896dba7f79c1f4546438ec33419631aacc0f91e23ce7a5e8e2aaff0499caca29cbc92f31b6af1d9ac60c2e4cb52a304142d9655e0aac0214ed7df78b

diff --git a/dev-qt/qtserialbus/qtserialbus-5.9.3.ebuild 
b/dev-qt/qtserialbus/qtserialbus-5.9.3.ebuild
new file mode 100644
index 00000000..60ddee17
--- /dev/null
+++ b/dev-qt/qtserialbus/qtserialbus-5.9.3.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Support for CAN and other serial buses"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~x86"
+fi
+
+IUSE=""
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtnetwork-${PV}
+       ~dev-qt/qtserialport-${PV}
+"
+RDEPEND="${DEPEND}"

diff --git a/dev-qt/qtserialport/Manifest b/dev-qt/qtserialport/Manifest
new file mode 100644
index 00000000..a767e39c
--- /dev/null
+++ b/dev-qt/qtserialport/Manifest
@@ -0,0 +1 @@
+DIST qtserialport-opensource-src-5.9.3.tar.xz 273152 BLAKE2B 
4d7e251011e06b556651a51852f55f749b04d3166c52adf88016fe18a45506bb62344b77b2eeaa4e7581ecff79e5e6d1409c449dd2206f6bcc167e75c0550467
 SHA512 
40ab6e7f0815f0f2c38062858e185d9a04cdd1bb360f677b7370bd902019346223e8bf7ee34079718bbb36b793ef773ecbb8b2eca5f5f5996c77729d7da77aeb

diff --git a/dev-qt/qtserialport/qtserialport-5.9.3.ebuild 
b/dev-qt/qtserialport/qtserialport-5.9.3.ebuild
new file mode 100644
index 00000000..f0e77107
--- /dev/null
+++ b/dev-qt/qtserialport/qtserialport-5.9.3.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Serial port abstraction library for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc64 ~x86"
+fi
+
+IUSE=""
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       virtual/libudev:=
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       # make sure we link against libudev
+       sed -i -e 's/:qtConfig(libudev)//' \
+               src/serialport/serialport-lib.pri || die
+
+       qt5-build_src_prepare
+}

diff --git a/dev-qt/qtspeech/Manifest b/dev-qt/qtspeech/Manifest
new file mode 100644
index 00000000..aa1d35ec
--- /dev/null
+++ b/dev-qt/qtspeech/Manifest
@@ -0,0 +1 @@
+DIST qtspeech-opensource-src-5.9.3.tar.xz 80832 BLAKE2B 
56a75db8830938517952fa0c92d66db86f09ce1f65c1d5b09e89eccd33cd54d90abc04fea745712cbfe0b898668164611013895a10dd79d3505031546c1a8678
 SHA512 
faa2c4e8dea22ba64e8dc93ebbce0d7e8775915591a39c2824d0f7c9da40de9df4dbef6e79b9e541773ee917caf3bef0c11ce6df163c0d91711f8f1394f7381e

diff --git a/dev-qt/qtspeech/qtspeech-5.9.3.ebuild 
b/dev-qt/qtspeech/qtspeech-5.9.3.ebuild
new file mode 100644
index 00000000..df046ce2
--- /dev/null
+++ b/dev-qt/qtspeech/qtspeech-5.9.3.ebuild
@@ -0,0 +1,20 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Text-to-speech library for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~x86"
+fi
+
+# TODO: flite plugin - needs 2.0.0 (not yet in tree)
+IUSE=""
+
+RDEPEND="
+       >=app-accessibility/speech-dispatcher-0.8.7
+       ~dev-qt/qtcore-${PV}
+"
+DEPEND="${RDEPEND}"

diff --git a/dev-qt/qtsql/Manifest b/dev-qt/qtsql/Manifest
new file mode 100644
index 00000000..44ceaa0b
--- /dev/null
+++ b/dev-qt/qtsql/Manifest
@@ -0,0 +1 @@
+DIST qtbase-opensource-src-5.9.3.tar.xz 45160080 BLAKE2B 
234eb778c90b5867ae53129da010968563d3fa66fe87e3ad50d2d4e968ecbf41812270a66c24fce27b318a7c6b5be90e518ee1b6bb14fb11985f2269a708899c
 SHA512 
256ffb8760e94c0f87790ed35e210d0c9613e14314ff442dd763cc93fbd5caa6c11c95f5d44b12a7687fb93c9f857878132cf6d76e5933f647ca7beb54b18c7c

diff --git a/dev-qt/qtsql/qtsql-5.9.3.ebuild b/dev-qt/qtsql/qtsql-5.9.3.ebuild
new file mode 100644
index 00000000..0560c4a2
--- /dev/null
+++ b/dev-qt/qtsql/qtsql-5.9.3.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qtbase"
+inherit qt5-build
+
+DESCRIPTION="SQL abstraction library for the Qt5 tooolkit"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE="freetds mysql oci8 odbc postgres +sqlite"
+
+REQUIRED_USE="
+       || ( freetds mysql oci8 odbc postgres sqlite )
+"
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       freetds? ( dev-db/freetds )
+       mysql? ( virtual/libmysqlclient:= )
+       oci8? ( dev-db/oracle-instantclient-basic )
+       odbc? ( || ( dev-db/unixODBC dev-db/libiodbc ) )
+       postgres? ( dev-db/postgresql:* )
+       sqlite? ( >=dev-db/sqlite-3.8.10.2:3 )
+"
+RDEPEND="${DEPEND}"
+
+QT5_TARGET_SUBDIRS=(
+       src/sql
+       src/plugins/sqldrivers
+)
+
+src_configure() {
+       local myconf=(
+               $(qt_use freetds  sql-tds    plugin)
+               $(qt_use mysql    sql-mysql  plugin)
+               $(qt_use oci8     sql-oci    plugin)
+               $(qt_use odbc     sql-odbc   plugin)
+               $(qt_use postgres sql-psql   plugin)
+               $(qt_use sqlite   sql-sqlite plugin)
+               $(usex sqlite -system-sqlite '')
+       )
+
+       use mysql && myconf+=("-I${EPREFIX}/usr/include/mysql" 
"-L${EPREFIX}/usr/$(get_libdir)/mysql")
+       use oci8 && myconf+=("-I${ORACLE_HOME}/include" 
"-L${ORACLE_HOME}/$(get_libdir)")
+       use odbc && myconf+=("-I${EPREFIX}/usr/include/iodbc")
+       use postgres && myconf+=("-I${EPREFIX}/usr/include/postgresql/pgsql")
+
+       qt5-build_src_configure
+}

diff --git a/dev-qt/qtsvg/Manifest b/dev-qt/qtsvg/Manifest
new file mode 100644
index 00000000..e771d726
--- /dev/null
+++ b/dev-qt/qtsvg/Manifest
@@ -0,0 +1 @@
+DIST qtsvg-opensource-src-5.9.3.tar.xz 1778224 BLAKE2B 
90ea03ee31aaf0971976cf5c64b05a1767f207498bb95d7fbef75189b203a02571e807f0bc81caf0df2f325b5296b4f9826bdfd1264b47fffba33a171d6e9424
 SHA512 
6612dbac0aed400befa81ce513dd7be133e4d3a1ada77782178aea4b4946730d3059810fb564366c942a26e3b2335679d6470149cedbf6acb00b82a8451a2978

diff --git a/dev-qt/qtsvg/qtsvg-5.9.3.ebuild b/dev-qt/qtsvg/qtsvg-5.9.3.ebuild
new file mode 100644
index 00000000..2667ef7e
--- /dev/null
+++ b/dev-qt/qtsvg/qtsvg-5.9.3.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="SVG rendering library for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE=""
+
+RDEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtgui-${PV}
+       ~dev-qt/qtwidgets-${PV}
+       >=sys-libs/zlib-1.2.5
+"
+DEPEND="${RDEPEND}
+       test? ( ~dev-qt/qtxml-${PV} )
+"

diff --git a/dev-qt/qttest/Manifest b/dev-qt/qttest/Manifest
new file mode 100644
index 00000000..44ceaa0b
--- /dev/null
+++ b/dev-qt/qttest/Manifest
@@ -0,0 +1 @@
+DIST qtbase-opensource-src-5.9.3.tar.xz 45160080 BLAKE2B 
234eb778c90b5867ae53129da010968563d3fa66fe87e3ad50d2d4e968ecbf41812270a66c24fce27b318a7c6b5be90e518ee1b6bb14fb11985f2269a708899c
 SHA512 
256ffb8760e94c0f87790ed35e210d0c9613e14314ff442dd763cc93fbd5caa6c11c95f5d44b12a7687fb93c9f857878132cf6d76e5933f647ca7beb54b18c7c

diff --git a/dev-qt/qttest/qttest-5.9.3.ebuild 
b/dev-qt/qttest/qttest-5.9.3.ebuild
new file mode 100644
index 00000000..1db02743
--- /dev/null
+++ b/dev-qt/qttest/qttest-5.9.3.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qtbase"
+VIRTUALX_REQUIRED="test"
+inherit qt5-build
+
+DESCRIPTION="Unit testing library for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE=""
+
+RDEPEND="
+       ~dev-qt/qtcore-${PV}
+"
+DEPEND="${RDEPEND}
+       test? (
+               ~dev-qt/qtgui-${PV}
+               ~dev-qt/qtxml-${PV}
+       )
+"
+
+QT5_TARGET_SUBDIRS=(
+       src/testlib
+)

diff --git a/dev-qt/qttranslations/Manifest b/dev-qt/qttranslations/Manifest
new file mode 100644
index 00000000..d88a1081
--- /dev/null
+++ b/dev-qt/qttranslations/Manifest
@@ -0,0 +1 @@
+DIST qttranslations-opensource-src-5.9.3.tar.xz 1414192 BLAKE2B 
800a841a6724bcfb81656b5c553c2289e6438294fc1895eb49b07d8019c6ec9ec1b0c1d7cfc2362d1c0535ea44655975af0f5bf27381211e98129638594eb74c
 SHA512 
b8577d33596e6df7a491d40f4c40889ea1d8ccb422e132affc66d78a8e137c5e96754d642fb08e328ba079e675286b875b1806048361c6faaf0c1b13cba4a5c5

diff --git a/dev-qt/qttranslations/qttranslations-5.9.3.ebuild 
b/dev-qt/qttranslations/qttranslations-5.9.3.ebuild
new file mode 100644
index 00000000..2cd29666
--- /dev/null
+++ b/dev-qt/qttranslations/qttranslations-5.9.3.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Translation files for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE=""
+
+DEPEND="
+       ~dev-qt/linguist-tools-${PV}
+       ~dev-qt/qtcore-${PV}
+"
+RDEPEND=""

diff --git a/dev-qt/qtvirtualkeyboard/Manifest 
b/dev-qt/qtvirtualkeyboard/Manifest
new file mode 100644
index 00000000..0fe001ae
--- /dev/null
+++ b/dev-qt/qtvirtualkeyboard/Manifest
@@ -0,0 +1 @@
+DIST qtvirtualkeyboard-opensource-src-5.9.3.tar.xz 10030260 BLAKE2B 
9199493c747f4cd7e8a8ce3965ede6b4e2943ddf4cdace9b61b3ec4380a7be958687e1e39e2005ca154ea73d2129a0e9268969f6c2a86b5cce6e7d156fb49efa
 SHA512 
feac25b2f88e182e58431a92e27436149072e2dd2eb09abbb69b732a6c3e484c4259759a99f730856993c6d50260bf5ef234f29f6f7e2a4fddbe77d15838b5c8

diff --git a/dev-qt/qtvirtualkeyboard/qtvirtualkeyboard-5.9.3.ebuild 
b/dev-qt/qtvirtualkeyboard/qtvirtualkeyboard-5.9.3.ebuild
new file mode 100644
index 00000000..852cb2cb
--- /dev/null
+++ b/dev-qt/qtvirtualkeyboard/qtvirtualkeyboard-5.9.3.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Virtual keyboard plugin for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~x86"
+fi
+
+# TODO: unbudle libraries for more layouts
+IUSE="handwriting +spell +xcb"
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtdeclarative-${PV}
+       ~dev-qt/qtgui-${PV}
+       ~dev-qt/qtsvg-${PV}
+       spell? ( app-text/hunspell:= )
+       xcb? ( x11-libs/libxcb:= )
+"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+       local myqmakeargs=(
+               $(usex handwriting CONFIG+=lipi-toolkit "")
+               $(usex spell "" CONFIG+=disable-hunspell)
+               $(usex xcb "" CONFIG+=disable-desktop)
+               CONFIG+="lang-ar_AR lang-da_DK lang-de_DE lang-en_GB \
+                        lang-es_ES lang-fa_FA lang-fi_FI lang-fr_FR \
+                        lang-hi_IN lang-it_IT lang-nb_NO lang-pl_PL \
+                        lang-pt_PT lang-ro_RO lang-ru_RU lang-sv_SE"
+       )
+
+       qt5-build_src_configure
+}

diff --git a/dev-qt/qtwayland/Manifest b/dev-qt/qtwayland/Manifest
new file mode 100644
index 00000000..761a0f46
--- /dev/null
+++ b/dev-qt/qtwayland/Manifest
@@ -0,0 +1 @@
+DIST qtwayland-opensource-src-5.9.3.tar.xz 314652 BLAKE2B 
56dbb8baa3642144d7021ca4361f4a574efe520f759dcc09867e4f114fc449ebd011099fb852c758c524e79539d5e6365cd3863921dc42339ba9c770586d21d7
 SHA512 
1deb41d3a2e081fa434167211b975019840c56cbf04c8fc18325d405818c2ecee6d65c9376f498ddacc1587455d310b815d56124d6a7734b2857399abfb3b659

diff --git a/dev-qt/qtwayland/qtwayland-5.9.3.ebuild 
b/dev-qt/qtwayland/qtwayland-5.9.3.ebuild
new file mode 100644
index 00000000..43c33faf
--- /dev/null
+++ b/dev-qt/qtwayland/qtwayland-5.9.3.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Wayland platform plugin for Qt"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE="+libinput xcomposite"
+
+DEPEND="
+       >=dev-libs/wayland-1.6.0
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtdeclarative-${PV}
+       ~dev-qt/qtgui-${PV}[egl,libinput?]
+       media-libs/mesa[egl]
+       >=x11-libs/libxkbcommon-0.2.0
+       xcomposite? (
+               x11-libs/libX11
+               x11-libs/libXcomposite
+       )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       qt_use_disable_config libinput xkbcommon-evdev \
+               src/client/client.pro \
+               src/compositor/wayland_wrapper/wayland_wrapper.pri \
+               src/plugins/shellintegration/ivi-shell/ivi-shell.pro \
+               tests/auto/compositor/compositor/compositor.pro
+
+       use xcomposite || rm -r config.tests/xcomposite || die
+
+       qt5-build_src_prepare
+}

diff --git a/dev-qt/qtwebchannel/Manifest b/dev-qt/qtwebchannel/Manifest
new file mode 100644
index 00000000..69b91a9f
--- /dev/null
+++ b/dev-qt/qtwebchannel/Manifest
@@ -0,0 +1 @@
+DIST qtwebchannel-opensource-src-5.9.3.tar.xz 147404 BLAKE2B 
e1e6211cec2d6058ed55161d3b97c54102ae5f7953dd14c769bb706376a664ea5e2f88ebbaf32295515a14c643171cc2c865fec929d57ad1b9487f3e2bda7772
 SHA512 
d03a091121256532aac1ab4492b83ba29c847729f2628a2bc7a76b064d197e72cfdab50f0ec2314eac01cc47e2255bfef17f2e010d7b2c3d408b9af74c9ea136

diff --git a/dev-qt/qtwebchannel/qtwebchannel-5.9.3.ebuild 
b/dev-qt/qtwebchannel/qtwebchannel-5.9.3.ebuild
new file mode 100644
index 00000000..42caf288
--- /dev/null
+++ b/dev-qt/qtwebchannel/qtwebchannel-5.9.3.ebuild
@@ -0,0 +1,26 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Qt5 module for integrating C++ and QML applications with 
HTML/JavaScript clients"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+fi
+
+IUSE="qml"
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       qml? ( ~dev-qt/qtdeclarative-${PV} )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       qt_use_disable_mod qml quick src/src.pro
+       qt_use_disable_mod qml qml src/webchannel/webchannel.pro
+
+       qt5-build_src_prepare
+}

diff --git a/dev-qt/qtwebengine/Manifest b/dev-qt/qtwebengine/Manifest
new file mode 100644
index 00000000..9b6b0c4a
--- /dev/null
+++ b/dev-qt/qtwebengine/Manifest
@@ -0,0 +1 @@
+DIST qtwebengine-opensource-src-5.9.3.tar.xz 217344496 BLAKE2B 
51701dfa8a804ad7723d296fb8ba11df821041c60e4c96459b7851b3ba1ca683e83207c3020a5a54e401779186daf46049a1167649b930cc04151b6d0474aaeb
 SHA512 
0db532b4d54540da1ca63de1cc4d561d72f052211535f75f60b99c1858ec0819ab0f831a3326d58da6350066748634000fe7ad0719ca545e12f3ed249a6eb90a

diff --git a/dev-qt/qtwebengine/qtwebengine-5.9.3.ebuild 
b/dev-qt/qtwebengine/qtwebengine-5.9.3.ebuild
new file mode 100644
index 00000000..ba128d2e
--- /dev/null
+++ b/dev-qt/qtwebengine/qtwebengine-5.9.3.ebuild
@@ -0,0 +1,115 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 )
+inherit multiprocessing pax-utils python-any-r1 qt5-build
+
+DESCRIPTION="Library for rendering dynamic web content in Qt5 C++ and QML 
applications"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+IUSE="alsa bindist geolocation pax_kernel pulseaudio +system-ffmpeg 
+system-icu widgets"
+
+RDEPEND="
+       app-arch/snappy:=
+       dev-libs/glib:2
+       dev-libs/nspr
+       dev-libs/nss
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtdeclarative-${PV}
+       ~dev-qt/qtgui-${PV}
+       ~dev-qt/qtnetwork-${PV}
+       ~dev-qt/qtprintsupport-${PV}
+       ~dev-qt/qtwebchannel-${PV}[qml]
+       dev-libs/expat
+       dev-libs/libevent:=
+       dev-libs/libxml2
+       dev-libs/libxslt
+       dev-libs/protobuf:=
+       media-libs/fontconfig
+       media-libs/freetype
+       media-libs/harfbuzz:=
+       media-libs/libpng:0=
+       >=media-libs/libvpx-1.5:=[svc]
+       media-libs/libwebp:=
+       media-libs/mesa
+       media-libs/opus
+       net-libs/libsrtp:0=
+       sys-apps/dbus
+       sys-apps/pciutils
+       sys-libs/libcap
+       sys-libs/zlib[minizip]
+       virtual/jpeg:0
+       virtual/libudev
+       x11-libs/libdrm
+       x11-libs/libX11
+       x11-libs/libXcomposite
+       x11-libs/libXcursor
+       x11-libs/libXdamage
+       x11-libs/libXext
+       x11-libs/libXfixes
+       x11-libs/libXi
+       x11-libs/libXrandr
+       x11-libs/libXrender
+       x11-libs/libXScrnSaver
+       x11-libs/libXtst
+       alsa? ( media-libs/alsa-lib )
+       geolocation? ( ~dev-qt/qtpositioning-${PV} )
+       pulseaudio? ( media-sound/pulseaudio:= )
+       system-ffmpeg? ( media-video/ffmpeg:0= )
+       system-icu? ( dev-libs/icu:= )
+       widgets? ( ~dev-qt/qtwidgets-${PV} )
+"
+DEPEND="${RDEPEND}
+       ${PYTHON_DEPS}
+       dev-util/gperf
+       dev-util/ninja
+       dev-util/re2c
+       sys-devel/bison
+       pax_kernel? ( sys-apps/elfix )
+"
+
+src_prepare() {
+       use pax_kernel && PATCHES+=( 
"${FILESDIR}/${PN}-5.9.0-paxmark-mksnapshot.patch" )
+
+       # bug 620444 - ensure local headers are used
+       find "${S}" -type f -name "*.pr[fio]" | xargs sed -i -e 's|INCLUDEPATH 
+= |&$$QTWEBENGINE_ROOT/include |' || die
+
+       qt_use_disable_config alsa alsa src/core/config/linux.pri
+       qt_use_disable_config pulseaudio pulseaudio src/core/config/linux.pri
+
+       qt_use_disable_mod geolocation positioning \
+               mkspecs/features/configure.prf \
+               src/core/core_chromium.pri \
+               src/core/core_common.pri
+
+       qt_use_disable_mod widgets widgets src/src.pro
+
+       qt5-build_src_prepare
+}
+
+src_configure() {
+       export NINJA_PATH=/usr/bin/ninja
+       export NINJAFLAGS="${NINJAFLAGS:--j$(makeopts_jobs) 
-l$(makeopts_loadavg "${MAKEOPTS}" 0) -v}"
+
+       local myqmakeargs=(
+               $(usex bindist '' 'WEBENGINE_CONFIG+=use_proprietary_codecs')
+               $(usex system-ffmpeg 'WEBENGINE_CONFIG+=use_system_ffmpeg' '')
+               $(usex system-icu 'WEBENGINE_CONFIG+=use_system_icu' '')
+       )
+       qt5-build_src_configure
+}
+
+src_install() {
+       qt5-build_src_install
+
+       # bug 601472
+       if [[ ! -f ${D%/}${QT5_LIBDIR}/libQt5WebEngine.so ]]; then
+               die "${CATEGORY}/${PF} failed to build anything. Please report 
to https://bugs.gentoo.org/";
+       fi
+
+       pax-mark m "${D%/}${QT5_LIBEXECDIR}"/QtWebEngineProcess
+}

diff --git a/dev-qt/qtwebsockets/Manifest b/dev-qt/qtwebsockets/Manifest
new file mode 100644
index 00000000..dd69899f
--- /dev/null
+++ b/dev-qt/qtwebsockets/Manifest
@@ -0,0 +1 @@
+DIST qtwebsockets-opensource-src-5.9.3.tar.xz 199420 BLAKE2B 
0c0ed7e193422ca0459e0f77850ddbc28dc0e16f72171476bd2ea33cf2809798811720cb927a6d2ed2a812e80d06d587d0d5cdf02b0313766237f6ff5415a6d8
 SHA512 
64eb131a0640229ae7553c0e8b9ec04a3f83862d3f48c38464928b8a7a9ca999ed0cba5b0fb91174a9ae8e8e3d6fa844a2aaf62a96b95fefc383361793f8b5de

diff --git a/dev-qt/qtwebsockets/qtwebsockets-5.9.3.ebuild 
b/dev-qt/qtwebsockets/qtwebsockets-5.9.3.ebuild
new file mode 100644
index 00000000..edf0d08a
--- /dev/null
+++ b/dev-qt/qtwebsockets/qtwebsockets-5.9.3.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Implementation of the WebSocket protocol for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc64 ~x86"
+fi
+
+IUSE="qml +ssl"
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtnetwork-${PV}[ssl=]
+       qml? ( ~dev-qt/qtdeclarative-${PV} )
+
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+       qt_use_disable_mod qml quick src/src.pro
+
+       qt5-build_src_prepare
+}

diff --git a/dev-qt/qtwebview/Manifest b/dev-qt/qtwebview/Manifest
new file mode 100644
index 00000000..86955df6
--- /dev/null
+++ b/dev-qt/qtwebview/Manifest
@@ -0,0 +1 @@
+DIST qtwebview-opensource-src-5.9.3.tar.xz 108092 BLAKE2B 
79d381c8e0cac6f07f4dcb0d83b0b9b1ebdbe894aaabd331bf4614fdc17ac9e00bdc17594c564274bd3633fc174fe0c296612167927cede4ce0d3dbc9ec35396
 SHA512 
f4cfbcdf41d28f6f479fa8cd08aa3e6d0ced0e57b86e563a8792d086f9aa28f1c246610369617fb62a577c41ebad78874d723b604c45df82eddd826d77ce9194

diff --git a/dev-qt/qtwebview/qtwebview-5.9.3.ebuild 
b/dev-qt/qtwebview/qtwebview-5.9.3.ebuild
new file mode 100644
index 00000000..95f5a9dc
--- /dev/null
+++ b/dev-qt/qtwebview/qtwebview-5.9.3.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Module for displaying web content in a QML application using the 
Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64"
+fi
+
+IUSE=""
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtdeclarative-${PV}
+       ~dev-qt/qtgui-${PV}
+       ~dev-qt/qtwebengine-${PV}
+"
+RDEPEND="${DEPEND}"

diff --git a/dev-qt/qtwidgets/Manifest b/dev-qt/qtwidgets/Manifest
new file mode 100644
index 00000000..44ceaa0b
--- /dev/null
+++ b/dev-qt/qtwidgets/Manifest
@@ -0,0 +1 @@
+DIST qtbase-opensource-src-5.9.3.tar.xz 45160080 BLAKE2B 
234eb778c90b5867ae53129da010968563d3fa66fe87e3ad50d2d4e968ecbf41812270a66c24fce27b318a7c6b5be90e518ee1b6bb14fb11985f2269a708899c
 SHA512 
256ffb8760e94c0f87790ed35e210d0c9613e14314ff442dd763cc93fbd5caa6c11c95f5d44b12a7687fb93c9f857878132cf6d76e5933f647ca7beb54b18c7c

diff --git a/dev-qt/qtwidgets/qtwidgets-5.9.3.ebuild 
b/dev-qt/qtwidgets/qtwidgets-5.9.3.ebuild
new file mode 100644
index 00000000..b82ca24a
--- /dev/null
+++ b/dev-qt/qtwidgets/qtwidgets-5.9.3.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qtbase"
+inherit qt5-build
+
+DESCRIPTION="Set of components for creating classic desktop-style UIs for the 
Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+# keep IUSE defaults in sync with qtgui
+IUSE="gles2 gtk +png +xcb"
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtgui-${PV}[gles2=,png=,xcb?]
+       gtk? (
+               ~dev-qt/qtgui-${PV}[dbus]
+               x11-libs/gtk+:3
+               x11-libs/libX11
+               x11-libs/pango
+       )
+"
+RDEPEND="${DEPEND}"
+
+QT5_TARGET_SUBDIRS=(
+       src/tools/uic
+       src/widgets
+       src/plugins/platformthemes
+)
+
+QT5_GENTOO_CONFIG=(
+       gtk:gtk3:
+       !:no-widgets:
+)
+
+src_configure() {
+       local myconf=(
+               -opengl $(usex gles2 es2 desktop)
+               $(qt_use gtk)
+               $(qt_use png libpng system)
+               $(qt_use xcb xcb system)
+               $(qt_use xcb xkbcommon system)
+               $(usex xcb '-xcb-xlib -xinput2 -xkb' '')
+       )
+       qt5-build_src_configure
+}

diff --git a/dev-qt/qtx11extras/Manifest b/dev-qt/qtx11extras/Manifest
new file mode 100644
index 00000000..694f92c2
--- /dev/null
+++ b/dev-qt/qtx11extras/Manifest
@@ -0,0 +1 @@
+DIST qtx11extras-opensource-src-5.9.3.tar.xz 76612 BLAKE2B 
8d31d78c161311bcbb5b98b448e54b9c140c0851ec029f3a2642700ed9ad355c36fbde16eae2542c441759b39ab39edd91a17cb6f879401e36b0bd855a6e3ebf
 SHA512 
0d1547e25f5d051daa8b20f54ca146bc5a6ad6fdae2c9b9e90dae574840a350bc3ac82b05ddb93b7a544e689fc06e633e57a40f31475cd118e156fad78e91d6c

diff --git a/dev-qt/qtx11extras/qtx11extras-5.9.3.ebuild 
b/dev-qt/qtx11extras/qtx11extras-5.9.3.ebuild
new file mode 100644
index 00000000..54540902
--- /dev/null
+++ b/dev-qt/qtx11extras/qtx11extras-5.9.3.ebuild
@@ -0,0 +1,21 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="Linux/X11-specific support library for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE=""
+
+RDEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtgui-${PV}[xcb]
+"
+DEPEND="${RDEPEND}
+       test? ( ~dev-qt/qtwidgets-${PV} )
+"

diff --git a/dev-qt/qtxml/Manifest b/dev-qt/qtxml/Manifest
new file mode 100644
index 00000000..44ceaa0b
--- /dev/null
+++ b/dev-qt/qtxml/Manifest
@@ -0,0 +1 @@
+DIST qtbase-opensource-src-5.9.3.tar.xz 45160080 BLAKE2B 
234eb778c90b5867ae53129da010968563d3fa66fe87e3ad50d2d4e968ecbf41812270a66c24fce27b318a7c6b5be90e518ee1b6bb14fb11985f2269a708899c
 SHA512 
256ffb8760e94c0f87790ed35e210d0c9613e14314ff442dd763cc93fbd5caa6c11c95f5d44b12a7687fb93c9f857878132cf6d76e5933f647ca7beb54b18c7c

diff --git a/dev-qt/qtxml/qtxml-5.9.3.ebuild b/dev-qt/qtxml/qtxml-5.9.3.ebuild
new file mode 100644
index 00000000..d19aa52b
--- /dev/null
+++ b/dev-qt/qtxml/qtxml-5.9.3.ebuild
@@ -0,0 +1,25 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+QT5_MODULE="qtbase"
+inherit qt5-build
+
+DESCRIPTION="Implementation of SAX and DOM for the Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE=""
+
+RDEPEND="
+       ~dev-qt/qtcore-${PV}
+"
+DEPEND="${RDEPEND}
+       test? ( ~dev-qt/qtnetwork-${PV} )
+"
+
+QT5_TARGET_SUBDIRS=(
+       src/xml
+)

diff --git a/dev-qt/qtxmlpatterns/Manifest b/dev-qt/qtxmlpatterns/Manifest
new file mode 100644
index 00000000..bfe2e47e
--- /dev/null
+++ b/dev-qt/qtxmlpatterns/Manifest
@@ -0,0 +1 @@
+DIST qtxmlpatterns-opensource-src-5.9.3.tar.xz 1360880 BLAKE2B 
52b3840c0351e305afa402520811e770979617274e1cad00e39d66b6fd685d3322fe0828347298245a7a519ba9bfb1e273f9645649113e43da9d495f8f672c57
 SHA512 
4b345940cc66cfd14de365f2802e49a3ad88c25a46e4c36765e31586728496f3bc5aa9a856a78b79b583e577a70dca5c70534d9689627773e142e9c7e421de01

diff --git a/dev-qt/qtxmlpatterns/qtxmlpatterns-5.9.3.ebuild 
b/dev-qt/qtxmlpatterns/qtxmlpatterns-5.9.3.ebuild
new file mode 100644
index 00000000..4cd0f931
--- /dev/null
+++ b/dev-qt/qtxmlpatterns/qtxmlpatterns-5.9.3.ebuild
@@ -0,0 +1,19 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit qt5-build
+
+DESCRIPTION="XPath, XQuery, XSLT, and XML Schema validation library for the 
Qt5 framework"
+
+if [[ ${QT5_BUILD_TYPE} == release ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+fi
+
+IUSE=""
+
+DEPEND="
+       ~dev-qt/qtcore-${PV}
+       ~dev-qt/qtnetwork-${PV}
+"
+RDEPEND="${DEPEND}"

Reply via email to